<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">


<!--
//////////////////////////////////////////////////
//
//GUI-CONTROL without MODE
//
//////////////////////////////////////////////////
-->
<xsl:template match="GUI-CONTROL" name="GUI-CONTROL-INTR">
    <tr>
        <xsl:if test="GUI-CONTROL-ATTRIBUTE[@NAME='TR-STYLE']">
        	<xsl:attribute name="style"><xsl:value-of select="GUI-CONTROL-ATTRIBUTE[@NAME='TR-STYLE']"/></xsl:attribute>
        </xsl:if>
        <xsl:if test="../GUI-FORM-ATTRIBUTE[@NAME='DECORATION']='stripes'">
            <xsl:call-template name="ZEBRA-COLOR"/>
        </xsl:if>
      <xsl:if test="GUI-CONTROL-ATTRIBUTE[@NAME='TITLE-LEFT']">
        <xsl:call-template name="TITLE-LEFT"/>
      </xsl:if>
    <xsl:call-template name="GUI-CONTROL-INTD"/>
      <xsl:apply-templates select="CONTROL-SHORT-HELP" mode="TEXTFIELD"/>
    </tr>
    <xsl:call-template name="SHIFT"/>
</xsl:template>


<xsl:template match="GUI-CONTROL" mode="intable">
<table width="100%" border="0" cellspacing="0" celpadding="0"><xsl:call-template name="GUI-CONTROL-INTR"/></table>
</xsl:template>


<xsl:template match="GUI-CONTROL" name="GUI-CONTROL-INTD" mode='intd' >
      <td class="SB_Style_predefpages"  align="left"  valign="bottom" style="padding-top: 1px;padding-bottom: 1px;">
      <xsl:if test="GUI-CONTROL-ATTRIBUTE[@NAME='TD-WIDTH']">
        <xsl:attribute name="width"><xsl:value-of select="GUI-CONTROL-ATTRIBUTE[@NAME='TD-WIDTH']"/></xsl:attribute>
      </xsl:if>
		<xsl:if test="GUI-CONTROL-ATTRIBUTE[@NAME='TD-STYLE']">
			<xsl:attribute name="style"><xsl:value-of select="GUI-CONTROL-ATTRIBUTE[@NAME='TD-STYLE']"/></xsl:attribute>
		</xsl:if>    		
        <xsl:if test="GUI-CONTROL-ATTRIBUTE[@NAME='TITLE-TOP']">
          <xsl:call-template name="TITLE-TOP"/>
        </xsl:if>
        <xsl:call-template name="GUI-CONTROL-ALONE"/>
          <xsl:if test="GUI-CONTROL-ATTRIBUTE[@NAME='SIMPLE-TITLE-RIGHT']">
            <xsl:call-template name="SIMPLE-TITLE-RIGHT"/>
          </xsl:if>
       </td>
</xsl:template>


<xsl:template match="GUI-CONTROL" name="GUI-CONTROL-ALONE" mode='alone' >
      <xsl:element name="{@TYPE}">
        <xsl:if test="@MODE">
          <xsl:attribute name = "TYPE"><xsl:value-of select = "@MODE" /></xsl:attribute>
        </xsl:if><xsl:apply-templates/></xsl:element>
</xsl:template>

<!--
//////////////////////////////////////////////////
//
//GUI-CONTROL MODE Textdata
//
//////////////////////////////////////////////////
-->
<xsl:template match="GUI-CONTROL[@MODE='TEXTDATA']" name="GUI-CONTROL-INTR-TEXTDATA">
  <tr>
        <xsl:if test="../GUI-FORM-ATTRIBUTE[@NAME='DECORATION']='stripes'">
            <xsl:call-template name="ZEBRA-COLOR"/>
        </xsl:if>
    <xsl:if test="GUI-CONTROL-ATTRIBUTE[@NAME='TITLE-LEFT']">
      <xsl:call-template name="TITLE-LEFT"/>
    </xsl:if>
    <xsl:call-template name="GUI-CONTROL-INTD-TEXTDATA"/>     
    <xsl:apply-templates select="CONTROL-SHORT-HELP" mode="TEXTFIELD"/>
  </tr>
    <xsl:call-template name="SHIFT"/>
</xsl:template>

<xsl:template match="GUI-CONTROL[@MODE='TEXTDATA']" mode="intable">
<table width="100%" border="0" cellspacing="0" celpadding="0"><xsl:call-template name="GUI-CONTROL-INTR-TEXTDATA"/></table>
</xsl:template>

<xsl:template match="GUI-CONTROL[@MODE='TEXTDATA']" name="GUI-CONTROL-INTD-TEXTDATA" mode='intd' >

    <xsl:if test="GUI-CONTROL-ATTRIBUTE[@NAME='OLD_VALUE']">
      <td class="SB_Style_predefpages"  align="left">
        <div style="padding-top: 1px; padding-bottom: 1px;"><div><xsl:apply-templates/><xsl:value-of select="GUI-CONTROL-ATTRIBUTE[@NAME='OLD_VALUE']"/></div></div>
      </td>
    </xsl:if>

      <td class="SB_Style_predefpages"  align="left">
      <xsl:if test="GUI-CONTROL-ATTRIBUTE[@NAME='TD-WIDTH']">
        <xsl:attribute name="width"><xsl:value-of select="GUI-CONTROL-ATTRIBUTE[@NAME='TD-WIDTH']"/></xsl:attribute>
      </xsl:if>
        <xsl:if test="GUI-CONTROL-ATTRIBUTE[@NAME='TITLE-TOP']">
          <xsl:call-template name="TITLE-TOP"/>
        </xsl:if>
    <xsl:call-template name="GUI-CONTROL-ALONE-TEXTDATA"/>
    </td>
</xsl:template>

<xsl:template match="GUI-CONTROL[@MODE='TEXTDATA']" name="GUI-CONTROL-ALONE-TEXTDATA" mode='alone'>
    <xsl:if test="GUI-CONTROL-ATTRIBUTE[@NAME='VALUE']">
       <div style="padding-top: 1px; padding-bottom: 1px;"><div><xsl:apply-templates/><xsl:value-of select="GUI-CONTROL-ATTRIBUTE[@NAME='VALUE']"/></div></div>
    </xsl:if>         
</xsl:template>

<!--
//////////////////////////////////////////////////
//
//GUI-CONTROL  MODE Select
//
//////////////////////////////////////////////////
-->
<xsl:template match="GUI-CONTROL[@MODE='SELECT']" name="GUI-CONTROL-INTR-SELECT">
    <tr>
        <xsl:if test="../GUI-FORM-ATTRIBUTE[@NAME='DECORATION']='stripes'">
            <xsl:call-template name="ZEBRA-COLOR"/>
        </xsl:if>
      <xsl:if test="GUI-CONTROL-ATTRIBUTE[@NAME='TITLE-LEFT']">
        <xsl:call-template name="TITLE-LEFT"/>
      </xsl:if>
    <xsl:call-template name="GUI-CONTROL-INTD-SELECT"/>
      <xsl:apply-templates select="CONTROL-SHORT-HELP" mode="TEXTFIELD"/>
    </tr>
    <xsl:call-template name="SHIFT"/>
</xsl:template>

<xsl:template match="GUI-CONTROL[@MODE='SELECT']" mode="intable">
<table width="100%" border="0" cellspacing="0" celpadding="0"><xsl:call-template name="GUI-CONTROL-INTR-SELECT"/></table>
</xsl:template>

<xsl:template match="GUI-CONTROL[@MODE='SELECT']" name="GUI-CONTROL-INTD-SELECT" mode='intd' >

    <xsl:if test="GUI-CONTROL-ATTRIBUTE[@NAME='OLD_VALUE']">
      <td class="SB_Style_predefpages"  align="left">
        <div style="padding-top: 1px; padding-bottom: 1px;"><div><xsl:value-of select="GUI-CONTROL-ATTRIBUTE[@NAME='OLD_VALUE']"/></div></div>
      </td>
    </xsl:if>

      <td class="SB_Style_predefpages"  align="left" style="padding-top: 1px;padding-bottom: 1px;">
      <xsl:if test="GUI-CONTROL-ATTRIBUTE[@NAME='TD-WIDTH']">
        <xsl:attribute name="width"><xsl:value-of select="GUI-CONTROL-ATTRIBUTE[@NAME='TD-WIDTH']"/></xsl:attribute>
      </xsl:if>
        <xsl:if test="GUI-CONTROL-ATTRIBUTE[@NAME='TITLE-TOP']">
          <xsl:call-template name="TITLE-TOP"/>
        </xsl:if>
    <xsl:call-template name="GUI-CONTROL-ALONE-SELECT"/>
      </td>
</xsl:template>


<xsl:template match="GUI-CONTROL[@MODE='SELECT']" name="GUI-CONTROL-ALONE-SELECT" mode='alone' >
  <SELECT><xsl:apply-templates/></SELECT>
</xsl:template>

<xsl:template match="GUI-CONTROL[@MODE='SELECT']" mode='simple' >
  <table border="0" cellpadding="0" cellspacing="0">
    <xsl:if test="GUI-CONTROL-ATTRIBUTE[@NAME='TITLE-TOP']">
      <tr><td><xsl:call-template name="TITLE-TOP"/></td></tr>
    </xsl:if>
    <tr>
      <td>
        <xsl:if test="GUI-CONTROL-ATTRIBUTE[@NAME='TITLE-LEFT']">
          <xsl:call-template name="TITLE-LEFT"/>
        </xsl:if>
      </td>
      <td><xsl:call-template name="GUI-CONTROL-ALONE-SELECT"/></td>
    </tr>
    </table>
</xsl:template>


<!--
//////////////////////////////////////////////////
//
//GUI-CONTROL  MODE File
//
//////////////////////////////////////////////////
-->

<xsl:template match="GUI-CONTROL[@TYPE='INPUT' and (@MODE = 'FILE') ]" >
  <tr>
        <xsl:if test="../GUI-FORM-ATTRIBUTE[@NAME='DECORATION']='stripes'">
            <xsl:call-template name="ZEBRA-COLOR"/>
        </xsl:if>
    <xsl:if test="GUI-CONTROL-ATTRIBUTE[@NAME='TITLE-LEFT']">
      <xsl:call-template name="TITLE-LEFT"/>
    </xsl:if>
    <xsl:call-template name="GUI-INPUT-FILE-INTD"/>
    <xsl:apply-templates select="CONTROL-SHORT-HELP" mode="TEXTFIELD"/>
  </tr>
    <xsl:call-template name="SHIFT"/>
</xsl:template>

<xsl:template match="GUI-CONTROL[@TYPE='INPUT' and (@MODE = 'FILE')]" name ="GUI-INPUT-FILE-INTD" mode="intd">
<td class="SB_Style_predefpages">
    <xsl:call-template name="GUI-INPUT-FILE" mode="alone"/>
</td>
</xsl:template>

<!--
<xsl:template name ="GUI-INPUT-FILE-INTD">
<td class="SB_Style_predefpages">
    <xsl:call-template name="GUI-INPUT-FILE" mode="alone"/>
</td>
</xsl:template>
-->
<xsl:template name="GUI-INPUT-FILE" mode="alone">
  <table cellpadding="0" cellspacing="0" width="100%">
    <tr>
      <td>
        <xsl:if test="GUI-CONTROL-ATTRIBUTE[@NAME='CONTROL-ALIGN']">
          <xsl:attribute name="align"><xsl:value-of select = "GUI-CONTROL-ATTRIBUTE[@NAME='CONTROL-ALIGN']"/></xsl:attribute>
        </xsl:if>
        <xsl:if test="GUI-CONTROL-ATTRIBUTE[@NAME='TITLE-TOP']">
          <xsl:call-template name="TITLE-TOP"/>
        </xsl:if>
        <input class="SB_Style_gen_title1">
          <xsl:if test="@MODE">
            <xsl:attribute name = "TYPE"><xsl:value-of select = "@MODE" /></xsl:attribute>
          </xsl:if>
          <xsl:apply-templates select="GUI-CONTROL-ATTRIBUTE"/>
        </input>
      </td>
      <xsl:if test="GUI-CONTROL-ATTRIBUTE[@NAME='BUTTON_ONCLICK'] and GUI-CONTROL-ATTRIBUTE[@NAME='BUTTON_VALUE']">
        <td style="padding-left: 10px;">
        <table cellspacing="0" cellpadding="0" border="0" style="float: righ; cursor: pointer; cursor: hand;" class="SB_Style_button_all">
          <xsl:attribute name="ONCLICK"><xsl:value-of select="GUI-CONTROL-ATTRIBUTE[@NAME='BUTTON_ONCLICK']"/></xsl:attribute>
          <tr>
            <td><img border="0" src="{$baseURL}/skins/{$sb_skin}/images/button_left.gif"/></td>
            <td width="20px" background="{$baseURL}/skins/{$sb_skin}/images/button_middle.gif">&#160;</td>
            <td nowrap="on" background="{$baseURL}/skins/{$sb_skin}/images/button_middle.gif" style="SB_Style_design_text">&#160;<xsl:value-of select="GUI-CONTROL-ATTRIBUTE[@NAME='BUTTON_VALUE']"/>&#160;</td>
            <td width="20px" background="{$baseURL}/skins/{$sb_skin}/images/button_middle.gif">&#160;</td>
            <td><img border="0" src="{$baseURL}/skins/{$sb_skin}/images/button_right.gif"/></td>
          </tr>
        </table>        
        </td>
      </xsl:if>
    </tr>
  </table>
</xsl:template>

<xsl:template match="GUI-CONTROL[@MODE='RADIO']">
    <tr>
        <xsl:if test="../GUI-FORM-ATTRIBUTE[@NAME='DECORATION']='stripes'">
            <xsl:call-template name="ZEBRA-COLOR"/>
        </xsl:if>
      <xsl:if test="GUI-CONTROL-ATTRIBUTE[@NAME='TITLE-LEFT']">
        <xsl:call-template name="TITLE-LEFT"/>
      </xsl:if>
      <td class="SB_Style_predefpages">
        <xsl:if test="GUI-CONTROL-ATTRIBUTE[@NAME='TITLE-TOP']">
          <xsl:call-template name="TITLE-TOP"/>
        </xsl:if>
        <xsl:apply-templates select="GUI-SELECT-ITEM" mode="RADIO"/>
      </td>
      <xsl:apply-templates select="CONTROL-SHORT-HELP" mode="TEXTFIELD"/>
    </tr>
    <xsl:call-template name="SHIFT"/>
</xsl:template>



<xsl:template match="GUI-CONTROL[@MODE='CHECKLIST']">
  <div id='pdpagesdiv' valign="top" class="SB_Style_pdpages">
    <table width="100%" cellspacing="0" cellpadding="0" border="0">
      <xsl:apply-templates select="GUI-SELECT-ITEM" mode="CHECK"/>
                    
    </table>
  </div>
    <xsl:call-template name="SHIFT"/>
</xsl:template>



<xsl:template match="GUI-SIMPLE-INPUT" name="GUI-SIMPLE-INPUT-ALONE">
  <table cellpadding="0" cellspacing="0" valign="top" border="0" ><tr>
    <xsl:if test="GUI-SIMPLE-INPUT-ATTRIBUTE[@NAME='NARROW-TITLE-LEFT']">
      <td class="SB_Style_fieldname" nowrap="nowrap">
          <xsl:call-template name="NARROW-TITLE-LEFT"/>
      </td>
        <xsl:call-template name="SHIFT-GORIZ"/>
      </xsl:if>
      <xsl:apply-templates select="GUI-CONTROL[@MODE!='BUTTON' and @MODE!='HIDDEN']" mode='intd'/>
      <xsl:if test="GUI-CONTROL[@MODE='BUTTON']">     
        <xsl:call-template name="SHIFT-GORIZ"/>
      <td>
          <xsl:apply-templates select="GUI-CONTROL[@MODE='BUTTON']"/>
      </td>
      </xsl:if>       
      <xsl:if test="GUI-BUTTONS-LIST">      
        <xsl:call-template name="SHIFT-GORIZ"/>
      <td>
          <xsl:apply-templates select="GUI-BUTTONS-LIST"/>
      </td>
      </xsl:if>       
</tr></table>
</xsl:template>

<xsl:template match="GUI-SIMPLE-INPUT" mode="intd">
<td>
	<xsl:if test="GUI-SIMPLE-INPUT-ATTRIBUTE[@NAME='TD-STYLE']">
		<xsl:attribute name="STYLE"><xsl:value-of select="GUI-SIMPLE-INPUT-ATTRIBUTE[@NAME='TD-STYLE']"/></xsl:attribute>
	</xsl:if>
	<xsl:call-template name="GUI-SIMPLE-INPUT-ALONE"/>
</td>
</xsl:template>

<xsl:template name="NARROW-TITLE-LEFT">
    <xsl:if test="GUI-SIMPLE-INPUT-ATTRIBUTE[@NAME='ALIGN']">
            <xsl:attribute name="align"><xsl:value-of select="GUI-SIMPLE-INPUT-ATTRIBUTE[@NAME='ALIGN']"/></xsl:attribute>
        </xsl:if>
    <xsl:if test="GUI-SIMPLE-INPUT-ATTRIBUTE[@NAME='REQ']"><span class="SB_Style_AlertText">&#160;*&#160;</span></xsl:if>
    <xsl:value-of select="GUI-SIMPLE-INPUT-ATTRIBUTE[@NAME='NARROW-TITLE-LEFT']"/>
</xsl:template>

<xsl:template name="SIMPLE-TITLE-RIGHT">
        &#160;
        <a>
            <xsl:apply-templates select="GUI-CONTROL-ATTRIBUTE[@NAME='HREF']"/>
            <xsl:apply-templates select="GUI-CONTROL-ATTRIBUTE[@NAME='CLASS']"/>
        <xsl:value-of select="GUI-CONTROL-ATTRIBUTE[@NAME='SIMPLE-TITLE-RIGHT']"/>
        <xsl:if test="GUI-CONTROL-ATTRIBUTE[@NAME='REQ']"><span class="SB_Style_AlertText">&#160;*&#160;</span></xsl:if>
    </a>
</xsl:template>

<xsl:template name="MULTY-TITLE-LEFT">
  <td class="SB_Style_fieldname" nowrap="nowrap" width="30%" style="padding-left: 5px;" valign="middle">
    <xsl:if test="GUI-MULTYINPUT-ATTRIBUTE[@NAME='ALIGN']">
            <xsl:attribute name="align"><xsl:value-of select="GUI-MULTYINPUT-ATTRIBUTE[@NAME='ALIGN']"/></xsl:attribute>
        </xsl:if>
    <xsl:if test="GUI-MULTYINPUT-ATTRIBUTE[@NAME='REQ']"><span class="SB_Style_AlertText">&#160;*&#160;</span></xsl:if>
    <xsl:value-of select="GUI-MULTYINPUT-ATTRIBUTE[@NAME='MULTY-TITLE-LEFT']"/>
  &#160;</td>
</xsl:template>

<xsl:template name="TITLE-LEFT-NO-PADDING">
  <td class="SB_Style_fieldname" nowrap="nowrap" width="50%" style="padding-left: 5px;" valign="middle">
        <xsl:if test="GUI-CONTROL-ATTRIBUTE[@NAME='TITLE-LEFT-ALIGN']">
            <xsl:attribute name="align"><xsl:value-of select="GUI-CONTROL-ATTRIBUTE[@NAME='TITLE-LEFT-ALIGN']"/></xsl:attribute>
        </xsl:if>
    <xsl:if test="GUI-CONTROL-ATTRIBUTE[@NAME='REQ']|GUI-CONTROL-ATTRIBUTE[@NAME='REQUIRED']"><span class="SB_Style_AlertText">&#160;*&#160;</span></xsl:if>
    <xsl:value-of select="GUI-CONTROL-ATTRIBUTE[@NAME='TITLE-LEFT']"/>
  &#160;</td>
</xsl:template>

<xsl:template name="TITLE-LEFT-PADDING">
  <td width="1px" nowrap="true" align="center"><xsl:if test="GUI-CONTROL-ATTRIBUTE[@NAME='REQ']">&#160;<span class="SB_Style_AlertText">*</span>&#160;</xsl:if><xsl:if test="GUI-CONTROL-ATTRIBUTE[@NAME='REQBYCONDITION']">
           <div class="hidden_req">
           <xsl:if test="GUI-CONTROL-ATTRIBUTE[@NAME='VISIBLE']='1'">
             <xsl:attribute name="class">visible_req</xsl:attribute>
           </xsl:if>
           <xsl:attribute name="id"><xsl:value-of select="GUI-CONTROL-ATTRIBUTE[@NAME='REQBYCONDITION']"/></xsl:attribute>
           <xsl:attribute name="name"><xsl:value-of select="GUI-CONTROL-ATTRIBUTE[@NAME='REQBYCONDITION']"/></xsl:attribute>&#160;<span class="SB_Style_AlertText">*</span>&#160;</div>
    </xsl:if></td>
  <td class="SB_Style_fieldname" nowrap="nowrap" width="50%" style="padding-left: 5px;" valign="middle">
        <xsl:if test="GUI-CONTROL-ATTRIBUTE[@NAME='TITLE-LEFT-ALIGN']">
            <xsl:attribute name="align"><xsl:value-of select="GUI-CONTROL-ATTRIBUTE[@NAME='TITLE-LEFT-ALIGN']"/></xsl:attribute>
        </xsl:if>
    <xsl:value-of select="GUI-CONTROL-ATTRIBUTE[@NAME='TITLE-LEFT']"/>&#160;
  </td>
</xsl:template>

<xsl:template name="TITLE-LEFT">
  <xsl:choose>
  <xsl:when test="../GUI-FORM-ATTRIBUTE[@NAME='TITLE-PADDING']='true'">
    <xsl:call-template name="TITLE-LEFT-PADDING"/>
  </xsl:when>
  <xsl:otherwise>
    <xsl:call-template name="TITLE-LEFT-NO-PADDING"/>
  </xsl:otherwise>
  </xsl:choose>
</xsl:template>

<xsl:template name="TITLE-TOP">
  <xsl:attribute name = "align">left</xsl:attribute>
  <xsl:attribute name = "width">70%</xsl:attribute>
  <div style="padding-bottom: 3px;"><b><xsl:value-of select="GUI-CONTROL-ATTRIBUTE[@NAME='TITLE-TOP']"/></b>
  <xsl:if test="GUI-CONTROL-ATTRIBUTE[@NAME='REQ']|GUI-CONTROL-ATTRIBUTE[@NAME='REQUIRED']"><span class="SB_Style_AlertText">&#160;*&#160;</span></xsl:if>
  </div>
</xsl:template>


<xsl:template match="GUI-CONTROL[@MODE='TEXTAREA']" >
  <tr>
        <xsl:if test="../GUI-FORM-ATTRIBUTE[@NAME='DECORATION']='stripes'">
            <xsl:call-template name="ZEBRA-COLOR"/>
        </xsl:if>
    <xsl:if test="GUI-CONTROL-ATTRIBUTE[@NAME='TITLE-LEFT']">
      <xsl:call-template name="TITLE-LEFT"/>
    </xsl:if>
    <td class="SB_Style_predefpages"  align="right">
      <xsl:if test="GUI-CONTROL-ATTRIBUTE[@NAME='TITLE-TOP']">
        <xsl:call-template name="TITLE-TOP"/>
      </xsl:if>
      <textarea>
        <xsl:apply-templates select="GUI-CONTROL-ATTRIBUTE[not(@NAME='VALUE')]"/>
        <xsl:attribute name="ONCHANGE"><xsl:value-of select="GUI-CONTROL-ATTRIBUTE[@NAME='ONCHANGE']"/></xsl:attribute>
        <xsl:attribute name="ONMOUSEMOVE"><xsl:value-of select="GUI-CONTROL-ATTRIBUTE[@NAME='ONMOUSEMOVE']"/></xsl:attribute>
        <xsl:attribute name="ONKEYPRESS"><xsl:value-of select="GUI-CONTROL-ATTRIBUTE[@NAME='ONKEYPRESS']"/></xsl:attribute>
        <xsl:attribute name="ONBLUR"><xsl:value-of select="GUI-CONTROL-ATTRIBUTE[@NAME='ONBLUR']"/></xsl:attribute>
        <xsl:value-of select="GUI-CONTROL-ATTRIBUTE[@NAME='VALUE']"/>
      </textarea>
    </td>
    <xsl:apply-templates select="CONTROL-SHORT-HELP" mode="TEXTFIELD"/>
  </tr>
    <xsl:call-template name="SHIFT"/>
</xsl:template>

<xsl:template match="GUI-CONTROL[@MODE='WYSIWYG']" >
	<xsl:param name="RteId">
		<xsl:text>rte_</xsl:text>
		<xsl:value-of select="GUI-CONTROL-ATTRIBUTE[@NAME='PARENT-OBJECT-ID']"/>
		<xsl:text>_</xsl:text>
		<xsl:value-of select="GUI-CONTROL-ATTRIBUTE[@NAME='NAME']"/>
	</xsl:param>
	<xsl:param name="HiddenId">
		<xsl:text>hdn</xsl:text>
		<xsl:value-of select="$RteId" />
	</xsl:param>	
	<tr>
		<xsl:if test="../GUI-FORM-ATTRIBUTE[@NAME='DECORATION']='stripes'">
			<xsl:call-template name="ZEBRA-COLOR"/>
		</xsl:if>
		<xsl:if test="GUI-CONTROL-ATTRIBUTE[@NAME='TITLE-LEFT']">
			<xsl:call-template name="TITLE-LEFT"/>
		</xsl:if>
		<td class="SB_Style_predefpages"  align="right">
			<xsl:if test="GUI-CONTROL-ATTRIBUTE[@NAME='TITLE-TOP']">
				<xsl:call-template name="TITLE-TOP"/>
			</xsl:if>
			<input type="hidden">
				<xsl:attribute name="id">
					<xsl:value-of select="$HiddenId" />
				</xsl:attribute>
				<xsl:apply-templates select="GUI-CONTROL-ATTRIBUTE[not(@NAME='VALUE')]"/>
			</input>
			<script language="JavaScript" type="text/javascript" src="/modules_core/wysiwyg/js/richtext.js" />
			<script language="JavaScript" type="text/javascript">
				<xsl:text>initRTE("/modules_core/wysiwyg/","images/","pages/",false,true);</xsl:text>
			</script>
			<script language="JavaScript" type="text/javascript">
				<xsl:text>writeRichText('</xsl:text>
				<xsl:value-of select="$RteId" />
				<xsl:text>','</xsl:text>
				<xsl:value-of select="GUI-CONTROL-ATTRIBUTE[@NAME='VALUE']"/>
				<xsl:text>',100,100,true,false);</xsl:text>
			</script>

		</td>
		<xsl:apply-templates select="CONTROL-SHORT-HELP" mode="TEXTFIELD"/>
	</tr>
    <xsl:call-template name="SHIFT"/>
</xsl:template>

<xsl:template match="GUI-CONTROL[@MODE='SUPERCHECK']" >
<xsl:variable name="Nam"><xsl:value-of select="GUI-CONTROL-ATTRIBUTE[@NAME='NAME']"/></xsl:variable>
<input type="hidden" value="0">
  <xsl:if test="GUI-CONTROL-ATTRIBUTE[@NAME='CHECKED']='true'">
        <xsl:attribute name="value">1</xsl:attribute>
  </xsl:if>
  <xsl:attribute name="name"><xsl:value-of select="$Nam"/></xsl:attribute>
</input>
  <tr>
        <xsl:if test="../GUI-FORM-ATTRIBUTE[@NAME='DECORATION']='stripes'">
            <xsl:call-template name="ZEBRA-COLOR"/>
        </xsl:if>
    <xsl:if test="GUI-CONTROL-ATTRIBUTE[@NAME='TITLE-LEFT']">
      <xsl:call-template name="TITLE-LEFT"/>
    </xsl:if>
    <td class="SB_Style_predefpages"  align="left">
      <xsl:if test="GUI-CONTROL-ATTRIBUTE[@NAME='TITLE-TOP']">
        <xsl:call-template name="TITLE-TOP"/>
      </xsl:if>
      <input type="checkbox">
        <xsl:apply-templates select="GUI-CONTROL-ATTRIBUTE[not (@NAME='NAME' or @NAME='ONCLICK')]"/>
                <xsl:attribute name="name">check_box_<xsl:value-of select="$Nam"/></xsl:attribute>
                <xsl:attribute name="onClick">SetHiddenAsCheckBox('<xsl:value-of select="$Nam"/>');</xsl:attribute>
                <xsl:if test="GUI-CONTROL-ATTRIBUTE[@NAME='ONCLICK']">
                <xsl:attribute name="onClick">SetHiddenAsCheckBox('<xsl:value-of select="$Nam"/>');<xsl:value-of select="GUI-CONTROL-ATTRIBUTE[@NAME='ONCLICK']"/></xsl:attribute>
                </xsl:if>
      </input>
          <xsl:if test="GUI-CONTROL-ATTRIBUTE[@NAME='SIMPLE-TITLE-RIGHT']">
            <xsl:call-template name="SIMPLE-TITLE-RIGHT"/>
          </xsl:if>
    </td>
    <xsl:apply-templates select="CONTROL-SHORT-HELP" mode="TEXTFIELD"/>
  </tr>
    <xsl:call-template name="SHIFT"/>
</xsl:template>

<xsl:template match="GUI-CONTROL[@TYPE='INPUT' and (@MODE ='TEXT' or @MODE = 'PASSWORD') ]" >
  <tr>
          <xsl:if test="GUI-CONTROL-ATTRIBUTE[@NAME='TR-ID']">
        	<xsl:attribute name="id"><xsl:value-of select="GUI-CONTROL-ATTRIBUTE[@NAME='TR-ID']"/></xsl:attribute>
        </xsl:if>
          <xsl:if test="GUI-CONTROL-ATTRIBUTE[@NAME='TR-STYLE']">
        	<xsl:attribute name="style"><xsl:value-of select="GUI-CONTROL-ATTRIBUTE[@NAME='TR-STYLE']"/></xsl:attribute>
        </xsl:if>
        <xsl:if test="../GUI-FORM-ATTRIBUTE[@NAME='DECORATION']='stripes'">
            <xsl:call-template name="ZEBRA-COLOR"/>
        </xsl:if>
    <xsl:if test="GUI-CONTROL-ATTRIBUTE[@NAME='TITLE-LEFT']">
      <xsl:call-template name="TITLE-LEFT"/>
    </xsl:if>
    
    <xsl:if test="GUI-CONTROL-ATTRIBUTE[@NAME='OLD_VALUE']">
      <td class="SB_Style_predefpages"  align="left">
        <div style="padding-top: 1px; padding-bottom: 1px;"><div><xsl:apply-templates/><xsl:value-of select="GUI-CONTROL-ATTRIBUTE[@NAME='OLD_VALUE']"/></div></div>
      </td>
    </xsl:if>
    
    <td class="SB_Style_predefpages"  style="padding-top: 1px; padding-bottom: 1px;">
      <xsl:if test="GUI-CONTROL-ATTRIBUTE[@NAME='TITLE-TOP']">
        <xsl:call-template name="TITLE-TOP"/>
      </xsl:if>
      <input class="SB_Style_gen_title1">
        <xsl:if test="@MODE">
          <xsl:attribute name = "TYPE"><xsl:value-of select = "@MODE" /></xsl:attribute>
        </xsl:if>
        <xsl:apply-templates select="GUI-CONTROL-ATTRIBUTE"/>
      </input>
    </td>
    <xsl:apply-templates select="CONTROL-SHORT-HELP" mode="TEXTFIELD"/>
  </tr>
    <xsl:call-template name="SHIFT"/>
</xsl:template>

<xsl:template match="GUI-CONTROL[@TYPE='INPUT' and (@MODE ='IMAGE') ]" >
  <tr>
        <xsl:if test="../GUI-FORM-ATTRIBUTE[@NAME='DECORATION']='stripes'">
            <xsl:call-template name="ZEBRA-COLOR"/>
        </xsl:if>
    <xsl:if test="GUI-CONTROL-ATTRIBUTE[@NAME='TITLE-LEFT']">
      <xsl:call-template name="TITLE-LEFT"/>
    </xsl:if>
    <td>
      <table cellpadding="0" cellspacing="0">
      <tr>
        <td style="background-image: url({$baseURL}/skins/{$sb_skin}/images/cb.gif);border: 1px solid #999EA1;" align="center" valign="top">
          <xsl:attribute name = "WIDTH"><xsl:value-of select = "GUI-CONTROL-ATTRIBUTE[@NAME='TD_WIDTH']" /></xsl:attribute>
          <xsl:attribute name = "HEIGHT"><xsl:value-of select = "GUI-CONTROL-ATTRIBUTE[@NAME='TD_HEIGHT']" /></xsl:attribute>
          <xsl:attribute name = "CLASS"><xsl:value-of select = "GUI-CONTROL-ATTRIBUTE[@NAME='TD_CLASS']" /></xsl:attribute>
          <xsl:if test="GUI-CONTROL-ATTRIBUTE[@NAME='TITLE-TOP']">
            <xsl:call-template name="TITLE-TOP"/>
          </xsl:if>
          <img>
            <xsl:attribute name = "TYPE"><xsl:value-of select = "@MODE" /></xsl:attribute>
            <xsl:apply-templates select="GUI-CONTROL-ATTRIBUTE"/>
          </img>
        </td>
      </tr>
      </table>
    </td>
    <xsl:apply-templates select="CONTROL-SHORT-HELP" mode="TEXTFIELD"/>
  </tr>
    <xsl:call-template name="SHIFT"/>
</xsl:template>

<xsl:template match="GUI-CONTROL[@MODE='IMAGE-LIST']" mode="navigation">
  <table cellpadding="0" cellspacing="0" border="0"  width="100%">
    <tr>
        <td><xsl:apply-templates select="GUI-CONTROL[@TYPE='IMAGE']" mode="navigation"/></td>
    </tr>
  </table>
</xsl:template>

<xsl:template match="GUI-CONTROL[@MODE='IMAGE-LIST' and @TYPE='navigation']" >
  <table cellpadding="0" cellspacing="0" border="0"  width="100%">
    <tr>
        <td><xsl:apply-templates select="GUI-CONTROL[@TYPE='IMAGE']" mode="navigation"/></td>
    </tr>
  <tr>
    <td height="11"  background="{$baseURL}/skins/{$sb_skin}/images/bb.gif"></td>
  </tr>
    
  </table>
</xsl:template>

<xsl:template match="GUI-CONTROL[@TYPE='IMAGE']" mode="navigation">
  <div style="float:left; padding:3px; padding-top:5px; padding-bottom:5px">
    <table width="90" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td align="center" height="32">
          <a>
            <xsl:attribute name="href"><xsl:value-of select="GUI-CONTROL-ATTRIBUTE[@NAME='ACTION']"/></xsl:attribute>
              <img border="0">
                  <xsl:apply-templates select="GUI-CONTROL-ATTRIBUTE"/>
              </img>
          </a>
        </td>
      </tr>
      <tr>
        <td align="center">
          <a class="SB_Style_design_bt">
            <xsl:attribute name="href"><xsl:value-of select="GUI-CONTROL-ATTRIBUTE[@NAME='ACTION']"/></xsl:attribute>
            <xsl:attribute name="onclick"><xsl:value-of select="GUI-CONTROL-ATTRIBUTE[@NAME='ONCLICK']"/></xsl:attribute>
            <xsl:value-of select="GUI-CONTROL-ATTRIBUTE[@NAME='TITLE-BOTTOM']"/>
          </a>
        </td>
      </tr>
    </table>
  </div>
</xsl:template>

<xsl:template match="GUI-CONTROL[@MODE='IMAGE-LIST'  and @TYPE='tmpl_list']" >
  <tr>
        <xsl:if test="../GUI-FORM-ATTRIBUTE[@NAME='DECORATION']='stripes'">
            <xsl:call-template name="ZEBRA-COLOR"/>
        </xsl:if>
    <xsl:if test="GUI-CONTROL-ATTRIBUTE[@NAME='TITLE-LEFT']">
      <xsl:call-template name="TITLE-LEFT"/>
    </xsl:if>
    <td>
      <table cellpadding="0" cellspacing="0" border="0">
      <tr>
          <td><xsl:apply-templates select="GUI-CONTROL[@TYPE='IMAGE']" mode="tmpl_list" /></td>
      </tr>
      </table>
    </td>
    <xsl:apply-templates select="CONTROL-SHORT-HELP" mode="TEXTFIELD"/>
  </tr>
    <xsl:call-template name="SHIFT"/>
</xsl:template>

<xsl:template match="GUI-CONTROL[@TYPE='IMAGE']" mode="tmpl_list">
<div style="padding-right: 10px; paddling-bottom: 10px; float: left; vertical-align: middle">
    <img class="SB_tmpl">
        <xsl:apply-templates select="GUI-CONTROL-ATTRIBUTE"/>
        <xsl:if test="GUI-CONTROL-ATTRIBUTE[@NAME='SELECTED']=1">
      <xsl:attribute name="class">SB_tmpl_selected</xsl:attribute>
    </xsl:if>
    </img>
</div>
</xsl:template>

<xsl:template match="GUI-CONTROL[@TYPE='IMAGE']" mode="intd">
<td class="SB_Style_predefpages"  align="left"  valign="bottom">
  <xsl:if test="GUI-CONTROL-ATTRIBUTE[@NAME='TD-WIDTH']">
    <xsl:attribute name="width"><xsl:value-of select="GUI-CONTROL-ATTRIBUTE[@NAME='TD-WIDTH']"/></xsl:attribute>
  </xsl:if>
    <a>
        <xsl:apply-templates select="GUI-CONTROL-ATTRIBUTE[@NAME='HREF']"/>
        <xsl:apply-templates select="GUI-CONTROL-ATTRIBUTE[@NAME='TARGET']"/>
        <img border="0">
            <xsl:apply-templates select="GUI-CONTROL-ATTRIBUTE"/>
        </img>
    </a>
    <xsl:if test="GUI-CONTROL-ATTRIBUTE[@NAME='SIMPLE-TITLE-RIGHT']">
    <xsl:call-template name="SIMPLE-TITLE-RIGHT"/>
  </xsl:if>
</td>
</xsl:template>

<xsl:template match="GUI-CONTROL[@TYPE='LINK']" mode="intd">
<td class="SB_Style_predefpages"  align="left"  valign="bottom">
  <xsl:if test="GUI-CONTROL-ATTRIBUTE[@NAME='TD-WIDTH']">
    <xsl:attribute name="width"><xsl:value-of select="GUI-CONTROL-ATTRIBUTE[@NAME='TD-WIDTH']"/></xsl:attribute>
  </xsl:if>
	<xsl:if test="GUI-CONTROL-ATTRIBUTE[@NAME='TD-STYLE']">
		<xsl:attribute name="style"><xsl:value-of select="GUI-CONTROL-ATTRIBUTE[@NAME='TD-STYLE']"/></xsl:attribute>
	</xsl:if>    		
    <a>
        <xsl:apply-templates select="GUI-CONTROL-ATTRIBUTE"/>
    <xsl:value-of select="GUI-CONTROL-ATTRIBUTE[@NAME='CAPTION']"/>
  </a>
</td>
</xsl:template>

<xsl:template match="GUI-BUTTONS-LIST">
  <table border="0" cellpadding="0" cellspacing="0">
    <xsl:attribute name="align"><xsl:value-of select="../GUI-FORM-ATTRIBUTE[@NAME='BUTTON_ALIGN']"/></xsl:attribute>
    <xsl:call-template name="GUI-BUTTONS-ROW"/>
  </table>
</xsl:template>

<xsl:template name="GUI-BUTTONS-ROW" match="GUI-BUTTONS-ROW">
  <tr>
    <xsl:variable name="count" select="count(GUI-CONTROL[@MODE='BUTTON'])"/>
    <xsl:for-each select="GUI-CONTROL[@MODE='BUTTON']">
      <td>
      <xsl:apply-templates select="."/>
      <xsl:if test="$count>1 and position()!=last()">
        <td class="SB_Style_fieldname" nowrap="nowrap" align="right" width="10px">&#160;</td>
      </xsl:if>
      </td>
    </xsl:for-each>
  </tr>
</xsl:template>

<xsl:template match="GUI-CONTROL[@MODE='BUTTON']">
  <table cellspacing="0" cellpadding="0" border="0" style="cursor: pointer; cursor: hand;" class="SB_Style_button_all">
    <xsl:apply-templates select="GUI-CONTROL-ATTRIBUTE"/>
    <tr>
      <td>
        <img border="0" src="{$baseURL}/skins/{$sb_skin}/images/button_left.gif"/>
      </td>
      <td width="20px" background="{$baseURL}/skins/{$sb_skin}/images/button_middle.gif">&#160;</td>
      <td nowrap="on" background="{$baseURL}/skins/{$sb_skin}/images/button_middle.gif" style="SB_Style_design_text">&#160;<xsl:value-of select="GUI-CONTROL-ATTRIBUTE[@NAME='VALUE']"/>&#160;</td>
      <td width="20px" background="{$baseURL}/skins/{$sb_skin}/images/button_middle.gif">&#160;</td>
      <td>
        <img border="0" src="{$baseURL}/skins/{$sb_skin}/images/button_right.gif"/>
      </td>
    </tr>
  </table>
</xsl:template>

<xsl:template match="GUI-CONTROL[@MODE='GRAPHIC-BUTTON']">
  <tr>
    <td>
      <xsl:apply-templates select="GUI-CONTROL-ATTRIBUTE[not(@NAME='ONCLICK') and not(@NAME='IMG-FILE')]"/>
      <a>
        <xsl:attribute name='ONCLICK'><xsl:value-of select="GUI-CONTROL-ATTRIBUTE[@NAME='ONCLICK']"/></xsl:attribute>
        <xsl:if test="GUI-CONTROL-ATTRIBUTE[@NAME='HREF']">
          <xsl:attribute name='HREF'><xsl:value-of select="GUI-CONTROL-ATTRIBUTE[@NAME='HREF']"/></xsl:attribute>
        </xsl:if>
        <img border='0'>
          <xsl:attribute name='SRC'><xsl:value-of select="$baseURL"/>/skins/<xsl:value-of select="$sb_skin"/>/images/<xsl:value-of select="GUI-CONTROL-ATTRIBUTE[@NAME='IMG-FILE']"/></xsl:attribute>
          <xsl:attribute name='WIDTH'><xsl:value-of select="GUI-CONTROL-ATTRIBUTE[@NAME='IMG-WIDTH']"/></xsl:attribute>
          <xsl:attribute name='HEIGHT'><xsl:value-of select="GUI-CONTROL-ATTRIBUTE[@NAME='IMG-HEIGHT']"/></xsl:attribute>
        </img>
      </a><br/>
      <xsl:value-of select="GUI-CONTROL-ATTRIBUTE[@NAME='VALUE']"/>
    </td>
  </tr>
</xsl:template>

<xsl:template match="GUI-CONTROL[@MODE='HIDDEN']">
  <xsl:element name="{@TYPE}">
    <xsl:if test="@MODE">
      <xsl:attribute name = "TYPE"><xsl:value-of select = "@MODE" /></xsl:attribute>
    </xsl:if>
    <xsl:apply-templates />
  </xsl:element>
</xsl:template>

<xsl:template match="GUI-CONTROL-CONTENT">
  <xsl:apply-templates/>
</xsl:template>


<!-- ^^^^^^ -->

<xsl:template match="GUI-MULTYINPUT[@MODE='VERTICAL']">
  <tr>
        <xsl:if test="../GUI-FORM-ATTRIBUTE[@NAME='DECORATION']='stripes'">
            <xsl:call-template name="ZEBRA-COLOR"/>
        </xsl:if>
    <xsl:if test="GUI-MULTYINPUT-ATTRIBUTE[@NAME='MULTY-TITLE-LEFT']">
      <xsl:call-template name="MULTY-TITLE-LEFT"/>
    </xsl:if>
      <td>
      <xsl:apply-templates select="GUI-CONTROL|GUI-MULTYINPUT" mode="intable"/>
    </td>
      <xsl:apply-templates select="CONTROL-SHORT-HELP" mode="TEXTFIELD"/>
  </tr>
    <xsl:call-template name="SHIFT"/>
</xsl:template>

<xsl:template match="GUI-MULTYINPUT[@MODE='VERTICAL-DIV']">
  <tr>
        <xsl:if test="../GUI-FORM-ATTRIBUTE[@NAME='DECORATION']='stripes'">
            <xsl:call-template name="ZEBRA-COLOR"/>
        </xsl:if>
    <xsl:if test="GUI-MULTYINPUT-ATTRIBUTE[@NAME='MULTY-TITLE-LEFT']">
      <xsl:call-template name="MULTY-TITLE-LEFT"/>
    </xsl:if>
      <td>
      <xsl:apply-templates select="GUI-CONTROL[@TYPE='DIV']" mode='intable'/>
    </td>
      <xsl:apply-templates select="CONTROL-SHORT-HELP" mode="TEXTFIELD"/>
  </tr>
    <xsl:call-template name="SHIFT"/>
</xsl:template>


<xsl:template match="GUI-MULTYINPUT" mode="intable">
<table width="100%" border="0" cellspacing="0" celpadding="0" name="multyinput_table">
  <xsl:if test="GUI-MULTYINPUT-ATTRIBUTE[@NAME='TABLE-STYLE']">
    <xsl:attribute name="STYLE"><xsl:value-of select="GUI-MULTYINPUT-ATTRIBUTE[@NAME='TABLE-STYLE']"/></xsl:attribute>
  </xsl:if>
  <xsl:if test="GUI-MULTYINPUT-ATTRIBUTE[@NAME='TABLE-ID']">
    <xsl:attribute name="ID"><xsl:value-of select="GUI-MULTYINPUT-ATTRIBUTE[@NAME='TABLE-ID']"/></xsl:attribute>
  </xsl:if>
    <xsl:call-template name="GUI-MULTYINPUT-INTR"/>
</table>
</xsl:template>


<xsl:template match="GUI-MULTYINPUT" name="GUI-MULTYINPUT-INTR">
<tr>
<xsl:if test="../GUI-FORM-ATTRIBUTE[@NAME='DECORATION']='stripes'">
            <xsl:call-template name="ZEBRA-COLOR"/>
        </xsl:if>
    <xsl:if test="GUI-MULTYINPUT-ATTRIBUTE[@NAME='MULTY-TITLE-LEFT']">
      <xsl:call-template name="MULTY-TITLE-LEFT"/>
    </xsl:if>
      <xsl:apply-templates select="GUI-CONTROL[@MODE!='HIDDEN']|GUI-SIMPLE-INPUT" mode='intd'/>
      <xsl:apply-templates select="CONTROL-SHORT-HELP" mode="TEXTFIELD"/>
  </tr>
<xsl:apply-templates select="GUI-CONTROL[@MODE='HIDDEN']"/>
<xsl:call-template name="SHIFT"/>
</xsl:template>

<xsl:template match="GUI-FORM" name="GUI-FORM">
    <table cellpadding="0" cellspacing="0" width="100%" valign="top" border="0"  align="center" >
      <form method="post"> 
        <xsl:apply-templates select="GUI-FORM-ATTRIBUTE"/>
        <xsl:call-template name="AUTOCOMPLETE"/>          
        <tr><td>
        	<xsl:choose>
        		<xsl:when test="GUI-FORM-ATTRIBUTE[@NAME='WITHOUT_STRIPE']='1'"></xsl:when>
        		<xsl:otherwise><xsl:attribute name="class">SB_DIALOG_FORM</xsl:attribute></xsl:otherwise>
        	</xsl:choose>
            <table cellpadding="0" cellspacing="0" width="100%" valign="top" border="0" align="center" >
                <xsl:apply-templates select="GUI-CONTROL[@MODE='HIDDEN']"/>
                <xsl:apply-templates select="GUI-MULTYINPUT|GUI-CONTROL[@MODE!='BUTTON' and @MODE!='HIDDEN']"/>
                    <tr><xsl:apply-templates select="GUI-FORM-CONTENT"/></tr>
            </table>
        </td></tr>
      <xsl:if test="GUI-CONTROL[@MODE='BUTTON']|GUI-BUTTONS-LIST|REQUIRED-FIELD-TITLE">
        <tr>
          <td>
            <table width="100%" border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td><xsl:apply-templates select="REQUIRED-FIELD-TITLE"/></td>
                <td align="right">
                  <div style="width:0px; height:10px;"><spacer type="block" width="0" height="10" /></div> 
                  <xsl:apply-templates select="GUI-CONTROL[@MODE='BUTTON']|GUI-BUTTONS-LIST"/>
                </td>
              </tr>
            </table>
          </td>
        </tr>
      </xsl:if>
      </form>
    </table>
</xsl:template>

<xsl:template name="ZEBRA-COLOR">
    <xsl:choose>
    <xsl:when test="position() mod 2=0">
            <xsl:attribute name="class">SB_Style_formfieldnocolor</xsl:attribute>
    </xsl:when>
    <xsl:otherwise>
            <xsl:attribute name="class">SB_Style_formfieldcolor</xsl:attribute>
        </xsl:otherwise>
    </xsl:choose>
</xsl:template>

<xsl:template name="ZEBRA-COLOR-INVERSE">
    <xsl:choose>
    <xsl:when test="position() mod 2=0">
            <xsl:attribute name="class">SB_Style_formfieldcolor</xsl:attribute>
    </xsl:when>
    <xsl:otherwise>
            <xsl:attribute name="class">SB_Style_formfieldnocolor</xsl:attribute>
        </xsl:otherwise>
    </xsl:choose>
</xsl:template>

<xsl:template name="SHIFT-GORIZ">
<td><img border="0" src="{$baseURL}/skins/{$sb_skin}/images/empty.gif" width="10" height="1"/></td>
</xsl:template>

<xsl:template name="SHIFT">
    <xsl:if test="(CONTROL-SHORT-HELP or ( not(CONTROL-SHORT-HELP) and position()=last())) and not (NO-SHIFT)">
        <tr>
            <td colspan="100">
                <div style="width:0px; height:10px;"><spacer type="block" width="0" height="10"/></div>
            </td>
        </tr>
    </xsl:if>
</xsl:template>

<xsl:template match="GUI-CONTROL[@TYPE='LINE']">
<tr><td colspan="100"><div class="SB_line"><spacer type="block" width="100%" height="1"/></div></td></tr>
</xsl:template>

<xsl:template match="GUI-CONTROL[@TYPE='SPACER']">
<tr><td colspan="100">
    <div>
        <xsl:if test="GUI-CONTROL-ATTRIBUTE[@NAME='HEIGHT']">
            <xsl:attribute name="style">width: 0px; height: <xsl:value-of select="GUI-CONTROL-ATTRIBUTE[@NAME='HEIGHT']"/>px;</xsl:attribute>
        </xsl:if>
        <spacer type="block" width="0">
            <xsl:apply-templates select="GUI-CONTROL-ATTRIBUTE[@NAME='HEIGHT']"/>
        </spacer>
    </div>
</td></tr>
</xsl:template>

<!-- #################################### -->
<xsl:template match="GUI-CONTROL-ATTRIBUTE|GUI-FORM-ATTRIBUTE|GUI-LIST-ATTRIBUTE|LAYOUT-PROPERTY|SB-WIZARD-TAB-ITEM-ATTRIBUTE">
  <xsl:choose>
    <xsl:when test="@NAME='action' or @NAME='href'">
      <xsl:attribute name="{@NAME}"><xsl:value-of select="$baseURL"/><xsl:value-of select="$baseURL_SUFFIX"/><xsl:value-of select="."/></xsl:attribute>
    </xsl:when>
    <xsl:otherwise>
      <xsl:attribute name="{@NAME}"><xsl:value-of select = "." /></xsl:attribute>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>

<xsl:template match="WARNING">
  <table border="0" cellpadding="5" cellspacing="0" width="100%" class="SB_Style_login_LOGIN">
    <tr>
      <td align="left" width="1%">
        <img src="{$baseURL}/skins/{$sb_skin}/images/icon_stop.gif"/>
      </td>
      <td align="left" width="99%">
        <xsl:value-of select="."/><br/>
      </td>
    </tr>
  </table>
</xsl:template>


<xsl:template name="AUTOCOMPLETE">
  <xsl:choose>
    <xsl:when test="$browser='MOZILLA'">
      <xsl:attribute name="autocomplete">off</xsl:attribute>
    </xsl:when>
    <xsl:otherwise>
      <xsl:attribute name="autocomplete">on</xsl:attribute>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>

<xsl:template match="TOOLBAR-ITEM">
  <td>
    <table cellspacing="0" cellpadding="0" border="0" style="margin-left:5px; margin-right:5px; cursor: pointer; cursor: hand;" class="SB_Style_tablebutton">
      <xsl:attribute name="onmouseover">javascript:doOver(this);</xsl:attribute>
      <xsl:attribute name="onmouseout">javascript:doOut(this);</xsl:attribute>
      <xsl:choose>
        <xsl:when test="substring-before(@HREF,':')='javascript'">
          <xsl:attribute name="onclick"><xsl:value-of select="@HREF"/></xsl:attribute>
        </xsl:when>
        <xsl:otherwise>
          <xsl:attribute name="onclick">document.location.href = '<xsl:value-of select="$baseURL"/><xsl:value-of select="$baseURL_SUFFIX"/><xsl:value-of select="@HREF"/>';</xsl:attribute>
        </xsl:otherwise>
      </xsl:choose>
      <tr>
        <td align="right" width="16"><img height="21" width="16" border="0"><xsl:attribute name="src"><xsl:value-of select="@ICON"/></xsl:attribute></img></td>
        <td align="center" class="SB_Style_toolbarbutton">&#160;&#160;<xsl:value-of select="."/></td>
      </tr>
    </table>
  </td>
</xsl:template>


<xsl:template match="TOOLBAR">
  <table cellspacing="0" cellpadding="0" border="0" height="21" background="{$baseURL}/skins/{$sb_skin}/images/toolbar_bg.gif">
    <tr>
      <td height="21" align="center"><img src="{$baseURL}/skins/{$sb_skin}/images/toolbar_left.gif" height="21" border="0"/></td>
      <xsl:apply-templates select="TOOLBAR-ITEM"/>
    </tr>
  </table>
</xsl:template>

<xsl:template name="WIZARD-TABS-ITEM-TEXT-STATE">
  <xsl:variable name="selected" select="SB-WIZARD-TABS-ITEM-ATTRIBUTE[@NAME='SELECTED']"/>
  <xsl:variable name="enabled" select="SB-WIZARD-TABS-ITEM-ATTRIBUTE[@NAME='ENABLED']"/>
  <xsl:variable name="title" select="SB-WIZARD-TABS-ITEM-ATTRIBUTE[@NAME='TITLE']"/>
  <xsl:choose>
    <xsl:when test="$enabled='TRUE'">
      <xsl:attribute name="class">SB_Style_menu_text</xsl:attribute>
      <xsl:value-of select="$title"/>
    </xsl:when>
    <xsl:when test="$selected='TRUE'">
      <xsl:attribute name="class">SB_Style_menu_text</xsl:attribute>
      <xsl:value-of select="$title"/>
    </xsl:when>
    <xsl:otherwise>
      <xsl:attribute name="class">SB_Style_menu_disabled</xsl:attribute>
      <xsl:value-of select="$title"/>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>

<xsl:template name="WIZARD-TABS-ITEM-STEP-MARKER">
  <xsl:variable name="step" select="SB-WIZARD-TABS-ITEM-ATTRIBUTE[@NAME='STEP']"/>
  <xsl:variable name="enabled" select="SB-WIZARD-TABS-ITEM-ATTRIBUTE[@NAME='ENABLED']"/>
  <xsl:variable name="selected" select="SB-WIZARD-TABS-ITEM-ATTRIBUTE[@NAME='SELECTED']"/>
  <td align="center">
    <xsl:choose>
      <xsl:when test="$step">
        <img border="0" style="margin-left: 13px; margin-right: 5px;" align="absmiddle">
          <xsl:attribute name="src"><xsl:value-of select="$baseURL"/>/skins/<xsl:value-of select="$sb_skin"/>/images/step_<xsl:value-of select="$step"/>_icon_off.gif</xsl:attribute>
        <xsl:if test="$enabled='TRUE'">
          <xsl:attribute name="src"><xsl:value-of select="$baseURL"/>/skins/<xsl:value-of select="$sb_skin"/>/images/step_<xsl:value-of select="$step"/>_icon_on.gif</xsl:attribute>
        </xsl:if>
        <xsl:if test="$selected='TRUE'">
          <xsl:attribute name="src"><xsl:value-of select="$baseURL"/>/skins/<xsl:value-of select="$sb_skin"/>/images/step_<xsl:value-of select="$step"/>_icon_on.gif</xsl:attribute>
        </xsl:if>
        </img>
      </xsl:when>
      <xsl:otherwise>&#160;&#160;&#160;&#160;</xsl:otherwise>
    </xsl:choose>
  </td>
</xsl:template>

<xsl:template name="WIZARD-TABS-ITEM-TEXT">
  <td align="center">
    <xsl:call-template name="WIZARD-TABS-ITEM-TEXT-STATE"/>
  </td>
</xsl:template>

<xsl:template match="WIZARD-TABS-ITEM">
  <xsl:variable name="selected" select="SB-WIZARD-TABS-ITEM-ATTRIBUTE[@NAME='SELECTED']"/>
  <xsl:variable name="enabled" select="SB-WIZARD-TABS-ITEM-ATTRIBUTE[@NAME='ENABLED']"/>
  <xsl:variable name="mode" select="SB-WIZARD-TABS-ITEM-ATTRIBUTE[@NAME='MODE']"/>
  <xsl:variable name="path" select="SB-WIZARD-TABS-ITEM-ATTRIBUTE[@NAME='PATH']"/>

  <xsl:if test="$mode and $mode != '' and $mode != 'preview'">
  <td valign="bottom">
    <xsl:attribute name="background"><xsl:value-of select="$baseURL"/>/skins/<xsl:value-of select="$sb_skin"/>/images/topmenu_delim.gif</xsl:attribute>
    <img border="0" src="{$baseURL}/skins/{$sb_skin}/images/empty.gif" width="1" height="29"/>
  </td>
  <td align="center" height="29">
    <xsl:choose>
      <xsl:when test="$selected">
        <xsl:attribute name="background"><xsl:value-of select="$baseURL"/>/skins/<xsl:value-of select="$sb_skin"/>/images/topmenu_bg_sel.gif</xsl:attribute>
      </xsl:when>
      <xsl:otherwise>
        <xsl:attribute name="background"><xsl:value-of select="$baseURL"/>/skins/<xsl:value-of select="$sb_skin"/>/images/topmenu_bg.gif</xsl:attribute>
      </xsl:otherwise>
    </xsl:choose>
    <table cellspacing="0" cellpadding="0" border="0" width="100%" height="100%">
      <xsl:if test="$enabled='TRUE'">
        <xsl:attribute name="style">cursor: pointer; cursor: hand;</xsl:attribute>
        <xsl:attribute name="onclick">navigation('<xsl:value-of select="$mode"/>','<xsl:value-of select="$baseURL"/><xsl:value-of select="$baseURL_SUFFIX"/><xsl:value-of select="$path"/>', '<xsl:value-of select="/*/CONTENT-AREA/@PAGEID"/>');</xsl:attribute>
      </xsl:if>
      <tr>
        <xsl:call-template name="WIZARD-TABS-ITEM-STEP-MARKER"/>
        <xsl:call-template name="WIZARD-TABS-ITEM-TEXT"/>
      </tr>
    </table>
  </td>
  <td valign="absmiddle">
    <xsl:attribute name="background">/skins/<xsl:value-of select="$sb_skin"/>/images/topmenu_bg.gif</xsl:attribute>
    <img border="0" src="{$baseURL}/skins/{$sb_skin}/images/empty.gif" width="1" height="29"/>
  </td>
  </xsl:if>
</xsl:template>

<xsl:template match="WIZARD-TABS">
  <table border="0" cellspacing="0" cellpadding="0">
    <tr>
      <td valign="bottom" width="51"><img src="{$baseURL}/skins/{$sb_skin}/images/topmenu_left.gif" height="29" border="0"/></td>
      <td vAlign="bottom" background="{$baseURL}/skins/{$sb_skin}/images/topmenu_bg.gif">
        <div style="width:1px; height:1px; MARGIN-TOP: -1px; MARGIN-LEFT: 1px" >
          <spacer type="block" width="1" height="1"/>
        </div>
        <table cellspacing="0" cellpadding="0" border="0">
        <tr>
        <xsl:apply-templates select="WIZARD-TABS-ITEM"/>
      </tr>
      </table>
      </td>
    </tr>
  </table>
</xsl:template>

<xsl:template match="BTN-MENU">
  <xsl:if test="BTN-MENU-ITEM">
  <table id="designMenuPanel" cellpadding="0" cellspacing="0" border="0" width="139">
    <tr height="3" width="141">
      <td><img src="{$baseURL}/skins/{$sb_skin}/images/design_menu_top.gif" width="137" height="3" align="center" /></td>
    </tr>
    <xsl:apply-templates select="BTN-MENU-ITEM"/>
    <tr height="3">
      <td><img src="{$baseURL}/skins/{$sb_skin}/images/design_menu_bot.gif" width="137" height="3" align="center" /></td>
    </tr>
  </table>
  </xsl:if>
  <br/>
  <xsl:apply-templates select="CONTROL-SHORT-HELP" mode="BTN-MENU"/>
</xsl:template>

<xsl:template match="BTN-MENU-ITEM">
  <xsl:if test="position() = 1">
     <tr height="3">
      <td align="center">
       <img src="{$baseURL}/skins/{$sb_skin}/images/design_menu_mid.gif" width="137" height="3" align="center"/></td>
     </tr>
  </xsl:if>
  <tr valign="top" height="1" style="height: 1px;">
   <td height="1" style="height: 1px; background-image: url({$baseURL}/skins/{$sb_skin}/images/design_menu_mid.gif);" class="SB_Style_design_menu" align="middle" valign="middle">
        <table width="131" height="10" cellspacing="0" cellpadding="0" align="middle" border="0" style="height:1px; cursor: pointer; cursor: hand; ">
      <xsl:if test="@ACTION">
        <xsl:attribute name="onclick">navigation('<xsl:value-of select="@TO" disable-output-escaping="yes"/>','<xsl:value-of select="@ACTION" disable-output-escaping="yes"/>','<xsl:value-of select="@FROM" disable-output-escaping="yes"/>');</xsl:attribute>
      </xsl:if>
           <tr>
        <td height="5" style="background-image: url({$baseURL}/skins/{$sb_skin}/images/design_menu_button_l_t.gif);"></td>
        <td><img border="0" src="{$baseURL}/skins/{$sb_skin}/images/design_menu_button_r_t.gif"/></td>
           </tr>
           <tr>
        <td width="99%" style="background-image: url({$baseURL}/skins/{$sb_skin}/images/design_menu_button_l_b.gif);background-position: bottom left; padding-left: 10px; padding-bottom: 7px;" valign="top" >
           <xsl:if test="ACTION"> 
             <xsl:attribute name="class">SB_Style_design_bt</xsl:attribute>
           </xsl:if>
          <xsl:if test="@CURRENT='1'">
            <xsl:attribute name="class">SB_Style_design_bt_sel</xsl:attribute> 
          </xsl:if>
          <xsl:if test="@DISABLED='1'">
            <xsl:attribute name="class">SB_Style_design_bt_disab</xsl:attribute> 
          </xsl:if>
  
           <img border="0" src="{$baseURL}/images/empty.gif" width="1" height="11"/><xsl:value-of select="."/>
        </td>
             <td style="background-image: url({$baseURL}/skins/{$sb_skin}/images/design_menu_button_r_b.gif);background-position: bottom left; padding-bottom: 6px;">
          <img border="0" src="{$baseURL}/skins/{$sb_skin}/images/design_menu_button_r_dots.gif"/>
             </td>
           </tr>
        </table>
   </td>
  </tr>
   <tr height="3" width="137">
    <td align="center">
     <img src="{$baseURL}/skins/{$sb_skin}/images/design_menu_mid.gif" width="137" height="3" align="center"/></td>
   </tr>
</xsl:template>

<xsl:template match="CONTROL-SHORT-HELP" mode="BTN-MENU">
  <table cellpadding="0" cellspacing="0" border="0" width="137">
    <tr height="3" width="131">
      <td>
        <table id="designMenuPanel" cellpadding="0" cellspacing="0" border="0" width="137" class="SB_Style_pcBG" align="center">
          <tr height="3" width="131">
            <td><img src="{$baseURL}/skins/{$sb_skin}/images/design_menu_top.gif" width="137" height="3"/></td>
          </tr>
          <tr>
            <td style="background-image: url({$baseURL}/skins/{$sb_skin}/images/design_menu_mid.gif);" class="SB_Style_design_menu_help">
              <table width="100%" cellspacing="5">
                <tr>
                  <td style="background-image: url({$baseURL}/skins/{$sb_skin}/images/design_menu_mid.gif);" class="SB_Style_design_menu_help">
                    <xsl:value-of select="."/>
                  </td>
                </tr>
              </table>
            </td>
          </tr>
          <tr height="3" width="131">
            <td><img src="{$baseURL}/skins/{$sb_skin}/images/design_menu_bot.gif" width="137" height="3"/></td>
          </tr>
        </table>
      </td>
    </tr>
  </table>
</xsl:template>

<xsl:template name="COMMON-CONTROL-SHORT-HELP">
      <td width="10"><div style="width:10px; height:1px;"><spacer type="block" width="10" height="1"/></div></td>
      <td align="center" height="100%" style="background: url('{$baseURL}/skins/{$sb_skin}/images/blue.gif');" width="5"><div style="width:5px; height:1px;"><spacer type="block" width="5" height="1"/></div></td>
      <td valign="top" width="30%" class="SB_Style_genpages"><p align="justify"><xsl:value-of select="."/></p></td>
</xsl:template>

<xsl:template match="CONTROL-SHORT-HELP" mode="TEXTFIELD"> 
<xsl:call-template name="COMMON-CONTROL-SHORT-HELP"/>
</xsl:template>

<xsl:template match="CONTROL-SHORT-HELP" mode=""> 
<xsl:call-template name="COMMON-CONTROL-SHORT-HELP"/>
</xsl:template>

<xsl:template match="GUI-CONTROL" mode='previewButton'>
  <xsl:variable name="previewButton" select="//GUI-CONTROL[GUI-CONTROL-ATTRIBUTE[@NAME='MODE']='previewButton']"/>
  <xsl:variable name="previewButtonTitle" select="$previewButton/GUI-CONTROL-ATTRIBUTE[@NAME='TITLE']"/>
  <xsl:variable name="previewButtonAction" select="$previewButton/GUI-CONTROL-ATTRIBUTE[@NAME='ONCLICK']"/>
  <xsl:variable name="previewButtonState" select="$previewButton/GUI-CONTROL-ATTRIBUTE[@NAME='ENABLED']"/>
  <table border="0" cellpadding="0" cellspacing="0" style="margin-left: 2px;" class="SB_Style_tablebuttonDisabled">
      <xsl:if test="$previewButtonState='TRUE'">
        <xsl:attribute name="class">SB_Style_tablebutton</xsl:attribute>
        <xsl:attribute name="style">margin-left: 2px;cursor: pointer; cursor: hand;</xsl:attribute>
        <xsl:attribute name="onclick">navigation_new_win("preview", "<xsl:value-of select='$baseURL'/><xsl:value-of select='$baseURL_SUFFIX'/><xsl:value-of select='$previewButtonAction'/>", "<xsl:value-of select='/*/CONTENT-AREA/@PAGEID'/>");</xsl:attribute>
      </xsl:if>
    <tr>
    <td>
      <img border="0" src="{$baseURL}/skins/{$sb_skin}/images/pws_left.gif"/>
    </td>
    <td class="SB_Style_pwsbuttontext" background="{$baseURL}/skins/{$sb_skin}/images/pws_bg.gif">
      <xsl:value-of select="$previewButtonTitle"/>
    </td>
    <td>
      <img border="0" src="{$baseURL}/skins/{$sb_skin}/images/pws_right.gif"/>
    </td>
    </tr>
  </table>
</xsl:template>

<xsl:template match="GUI-SELECT-ITEM">
  <option>
    <xsl:if test="@SELECTED and @SELECTED='TRUE'">
      <xsl:attribute name="selected">1</xsl:attribute>
    </xsl:if>
    <xsl:attribute name="value"><xsl:value-of select="@VALUE"/></xsl:attribute>
    <xsl:value-of select="."/>
  </option>
</xsl:template>

<xsl:template match="GUI-SELECT-ITEM" mode="RADIO">
  <input type="RADIO" class="SB_Style_checkbox">
    <xsl:if test="@CHECKED and @CHECKED='TRUE'">
      <xsl:attribute name="checked">true</xsl:attribute>
    </xsl:if>
    <xsl:attribute name="value"><xsl:value-of select="@VALUE"/></xsl:attribute>
    <xsl:attribute name="name"><xsl:value-of select="../GUI-CONTROL-ATTRIBUTE[@NAME='NAME']"/></xsl:attribute>
    <xsl:attribute name="onclick"><xsl:value-of select="@ONCLICK"/></xsl:attribute>
  </input>
  &#160;<xsl:value-of select="text()"/>&#160;
</xsl:template>


<xsl:template match="GUI-SELECT-ITEM" mode="CHECK">
  <tr>
    <td>
      <input type="checkbox">
        <xsl:if test="@CHECKED and @CHECKED='TRUE'">
          <xsl:attribute name="checked">true</xsl:attribute>
        </xsl:if>
        <xsl:if test="@DISABLED and @DISABLED='TRUE'">
          <xsl:attribute name="disabled">true</xsl:attribute>
        </xsl:if>
        <xsl:attribute name="value"><xsl:value-of select="@VALUE"/></xsl:attribute>
        <xsl:attribute name="name"><xsl:value-of select="../GUI-CONTROL-ATTRIBUTE[@NAME='NAME']"/></xsl:attribute>
        <xsl:attribute name="id"><xsl:value-of select="../GUI-CONTROL-ATTRIBUTE[@NAME='ID']"/></xsl:attribute>
        <xsl:attribute name="onclick"><xsl:value-of select="@ONCLICK"/></xsl:attribute>
      </input>
    </td>
                      
    <td nowrap="nowrap" colspan="2" width="100%" class='SB_Style_predefpages'>
      <xsl:value-of select="text()"/>
    </td>
  </tr>
</xsl:template>


<xsl:template match="STEPLENTA">
  <table cellspacing="0" cellpadding="0" border="0" width="1%">
    <tr>
      <xsl:apply-templates select="COMMENT" />
      <td width="1%" align="middle"  nowrap="nowrap" height='20'>
        <xsl:apply-templates select="STEP" />
      </td>
    </tr>
  </table>
</xsl:template>

<xsl:template match="COMMENT">
  <td width="1%" nowrap="nowrap"><xsl:value-of select="."/></td>
  <td width="1%" nowrap="nowrap">
    <img src="{$baseURL}/skins/{$sb_skin}/images/empty.gif" width="5" border="0"/>
  </td>
</xsl:template>

<xsl:template match="STEP">
  <xsl:choose>
    <xsl:when test="@CURRENT='true'">
      <b><span class="SB_Style_AlertText"><xsl:value-of select="."/></span></b>
    </xsl:when>
    <xsl:otherwise>
      <a href="{@URL}" class="SB_Style_browse_page"><xsl:value-of select="."/></a>
    </xsl:otherwise>
  </xsl:choose>
  &#160;
</xsl:template>

<xsl:template match="PAGELENTA">
  <table cellspacing="0" cellpadding="0" border="0" width="100%">
    <tr>
      <td width="1%" nowrap="nowrap" valign="middle" class="SB_Style_formtitle" style="padding-left:5px; padding-right:10px;">
        <xsl:value-of select="BRS"/>
      </td>
      <td width="1%" nowrap="nowrap">
        <img src="{$baseURL}/skins/{$sb_skin}/images/empty.gif" width="5" border="0"/>
      </td>
      <td width="1%" nowrap="nowrap">
        <xsl:apply-templates select="FIRST-PAGE" mode="page-strip"/>
      </td>
      <td width="1%" nowrap="nowrap">
        <img src="{$baseURL}/skins/{$sb_skin}/images/empty.gif" width="5" border="0"/>
      </td>
      <td width="93%" nowrap="nowrap" height="22px" valign="middle" class="SB_Style_formtitle" align="center">
        <xsl:apply-templates select="PREV-PAGE-SET" mode="page-strip"/>
        <xsl:apply-templates select="PAGE" mode="page-strip"/>
        <xsl:apply-templates select="NEXT-PAGE-SET" mode="page-strip"/>
      </td>
      <td width="1%" nowrap="nowrap">
        <img src="{$baseURL}/skins/{$sb_skin}/images/empty.gif" width="5" border="0"/>
      </td>
      <td width="1%" nowrap="nowrap">
        <xsl:apply-templates select="LAST-PAGE" mode="page-strip"/>
      </td>
      <td width="1%" nowrap="nowrap">
        <img src="{$baseURL}/skins/{$sb_skin}/images/empty.gif" width="5" border="0"/>
      </td>
    </tr>
  </table>
</xsl:template>

<xsl:template match="FIRST-PAGE|LAST-PAGE" mode="page-strip">
  <xsl:choose>
    <xsl:when test="@ONCLICK">
      &#160;<a href="#" onclick="{@ONCLICK}"  class="SB_Style_browse_page"><xsl:value-of select="@CAPTION"/></a>&#160;
    </xsl:when>
    <xsl:when test="@URL">&#160;<a href="{@URL}" class="SB_Style_browse_page">
      <xsl:value-of select="@CAPTION"/>
      </a>&#160;
    </xsl:when>
  <xsl:otherwise/>
</xsl:choose>
</xsl:template>

<xsl:template match="PAGE" mode="page-strip">
  <xsl:choose>
  <xsl:when test="@CURRENT='true'">
    <b><span class="SB_Style_AlertText"><xsl:value-of select="."/></span></b>
  </xsl:when>

  <xsl:when test="@ONCLICK">
    <a href="#" onclick="{@ONCLICK}" class="SB_Style_browse_page"><xsl:value-of select="."/></a>
  </xsl:when>

  <xsl:otherwise>
    <a href="{@URL}" class="SB_Style_browse_page"><xsl:value-of select="."/></a>
  </xsl:otherwise>

  </xsl:choose>&#160;
</xsl:template>


<xsl:template match="GUI-TABPANEL-BOTTOM">
<table border="0" width="100%" cellpadding="0">
<tr><td>
<table border="0" width="100%" cellspacing="0" cellpadding="0">
<tr>
  <td><table cellspacing='1' cellpadding='0' width="100%" class="SB_Style_Tab_bottom_main" border='0'>
        <tr>
            <td>
                <table cellspacing='1' cellpadding='0' width="100%" class="SB_Style_Tab_bottom_background">
                    <tr>
                        <td ><table width="100%" cellspacing='0' cellpadding='0' border='0'>
                            <!-- ////////////////// BEGIN TABPANEL CARD CONTENT ///////////////////-->
                            <tr>
                                <td class="SB_Style_Tab_bottom_background"><table border="0" cellspacing='0' cellpadding='0' height="100%" width="100%">
                                <tr>
                                    <td align="center" class="SB_Style_Tab_bottom_content"><xsl:apply-templates select="GUI-TABPANEL-CONTENT"/></td>
                                </tr>
                                </table></td>
                            </tr>
                            <!-- ////////////////// END TABPANEL CARD CONTENT //////////////////////-->

                            <!-- ////////////////// BEGIN TABPANEL CARDS  //////////////////////////////////////-->
                            <tr>
                                <td class="SB_Style_Tab_bottom_background"><table width="100%" cellspacing='0' cellpadding='0' border='0'>
                                <tr>
                                    <td width="10" style="background-image: url({$baseURL}/skins/{$sb_skin}/images/sb_tab_bottom_bg_empty.gif);"><div style="width:10px; height:22px;"><spacer type="block" width="1" height="1"/></div></td>
                                    <td height="22px" width="1" style="background-image: url({$baseURL}/skins/{$sb_skin}/images/sb_tab_bottom_sel_unsel.gif);"><img src="{$baseURL}/skins/{$sb_skin}/images/empty.gif" width="1" height="1" border="0"/></td>
                      <xsl:choose>
                        <xsl:when test="count(GUI-TABPANEL-CARD)>1">
<!--                          <xsl:attribute name="style">padding-top: 5px;</xsl:attribute>-->
                          <xsl:call-template name="GUI-TABPANEL-WITH-CARD-BOTTOM" /> 
                        </xsl:when>
                        <xsl:otherwise>
                          <xsl:call-template name="GUI-TABPANEL-WITHOUT-CARD" />
                        </xsl:otherwise>
                      </xsl:choose>
                                    <td width="{100 - count(TABPANEL_BOTTOM-CARD) * 2}%" style="background-image: url({$baseURL}/skins/{$sb_skin}/images/sb_tab_bottom_bg_empty.gif);"></td>
                                </tr>
                                </table></td>
                            </tr>
                            <!-- ////////////////// END TABPANEL CARDS  //////////////////////////////////////-->
                            </table></td>
                    </tr>
                 </table>
              </td>
           </tr>
    </table></td>
</tr>
</table>
</td></tr>
</table>
</xsl:template>

<xsl:template match="GUI-TABPANEL">
  <table border="0" width="100%" cellpadding="0">
    <tr><td>
      <table border="0" width="100%" cellspacing="0" cellpadding="0">
      <xsl:apply-templates select="GUI-TABPANEL-CAPTION"/>
      <tr>
        <td><table cellspacing='1' cellpadding='0' width="100%" class="SB_Style_Tab_main" border='0'>
          <tr>
            <td class="SB_Style_Tab_background"><table width="100%" cellspacing='0' cellpadding='0' border='0'>
              <!-- ////////////////// BEGIN TABPANEL CARDS  //////////////////////////////////////-->
              <tr>
                <td class="SB_Style_Tab_background">
                <xsl:choose>
                  <xsl:when test="count(GUI-TABPANEL-CARD)>1">
                    <xsl:attribute name="style">padding-top: 5px;</xsl:attribute>
                    <xsl:call-template name="GUI-TABPANEL-WITH-CARD"/>
                  </xsl:when>
                  <xsl:otherwise>
                    <xsl:call-template name="GUI-TABPANEL-WITHOUT-CARD"/>
                  </xsl:otherwise>
                </xsl:choose>
                <table border="0" cellspacing='0' cellpadding='0' height="100%" width="100%">
                <tr>
                  <td align="center" class="SB_Style_Tab_content"><xsl:apply-templates select="GUI-TABPANEL-CONTENT"/></td>
                </tr>
                </table></td>
              </tr>
              <!-- ////////////////// END TABPANEL CARD CONTENT //////////////////////-->
              </table></td>
          </tr>
          </table></td>
      </tr>
      <tr>
        <td>
          <table cellspacing="0" cellpadding="0" border="0" width="100%" style="margin-top:10px;">
            <tr>
              <td width="50%" class="SB_Style_formtitle" nowrap="nowrap">
              <xsl:apply-templates select="GUI-TABPANEL-DESCRIPTION" />
              </td>
              <td width="50%" class="SB_Style_formtitle" nowrap="nowrap" align="right">
                <xsl:apply-templates select="GUI-BUTTONS-LIST"/>
              </td>
            </tr>
          </table>
        </td>
      </tr>
      </table>
    </td></tr>
  </table>
</xsl:template>

<xsl:template match="GUI-TABPANEL-DESCRIPTION">
  <span class="SB_Style_AlertText">*&#160;</span><xsl:value-of select="."/>
</xsl:template>

<xsl:template name="GUI-TABPANEL-WITHOUT-CARD">
<!--<table width="100%" cellspacing='0' cellpadding='0' border='1'>
  <tr>
    <td width="10" style="background-image: url({$baseURL}/skins/{$sb_skin}/images/sb_bg_empty.gif);"><div style="width:10px; height:29px;"><spacer type="block" width="1" height="1"/></div></td>
    <td width="1" style="background-image: url({$baseURL}/skins/{$sb_skin}/images/sb_first.gif);"><div style="width:1px; height:29px;"><spacer type="block" width="1" height="1"/></div></td>
    <xsl:apply-templates select="GUI-TABPANEL-CARD"/>
    <td width="{100 - count(GUI-TABPANEL-CARD) * 2}%" style="background-image: url({$baseURL}/skins/{$sb_skin}/images/sb_bg_empty.gif);"></td>
  </tr>
</table> -->
</xsl:template>

<xsl:template name="GUI-TABPANEL-WITH-CARD-BOTTOM">
    <xsl:apply-templates select="GUI-TABPANEL-CARD" mode="bottom"/>
</xsl:template>

<xsl:template name="GUI-TABPANEL-WITH-CARD">
<table width="100%" cellspacing='0' cellpadding='0' border='0'>
  <tr>
    <td width="10" style="background-image: url({$baseURL}/skins/{$sb_skin}/images/sb_bg_empty.gif);"><div style="width:10px; height:29px;"><spacer type="block" width="1" height="1"/></div></td>
    <td width="1" style="background-image: url({$baseURL}/skins/{$sb_skin}/images/sb_first.gif);"><div style="width:1px; height:29px;"><spacer type="block" width="1" height="1"/></div></td>
    <xsl:apply-templates select="GUI-TABPANEL-CARD"/>
    <td width="{100 - count(GUI-TABPANEL-CARD) * 2}%" style="background-image: url({$baseURL}/skins/{$sb_skin}/images/sb_bg_empty.gif);"></td>
  </tr>
</table>
</xsl:template>

<xsl:template match="GUI-TABPANEL-CARD" mode="bottom">
  <xsl:choose>
    <xsl:when test="@DISABLED='true'">
      <xsl:call-template name="GUI-TABPANEL-CARD-DISABLED-BOTTOM" />
    </xsl:when>
    <xsl:when test="@SELECTED='true'">
      <xsl:call-template name="GUI-TABPANEL-CARD-SELECTED-BOTTOM" />
    </xsl:when>
    <xsl:otherwise>
      <xsl:call-template name="GUI-TABPANEL-CARD-NORMAL-BOTTOM" />
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>

<xsl:template match="GUI-TABPANEL-CARD" >
  <xsl:choose>
    <xsl:when test="@DISABLED='true'">
      <xsl:call-template name="GUI-TABPANEL-CARD-DISABLED"/>
    </xsl:when>
    <xsl:when test="@SELECTED='true'">
      <xsl:call-template name="GUI-TABPANEL-CARD-SELECTED"/>
    </xsl:when>
    <xsl:otherwise>
      <xsl:call-template name="GUI-TABPANEL-CARD-NORMAL"/>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>

<xsl:template name="GUI-TABPANEL-CARD-DISABLED-BOTTOM">
  <td height="22px" width="1%" style="background-image: url({$baseURL}/skins/{$sb_skin}/images/sb_tab_bottom_bg_unsel.gif);padding-left: 10px; padding-right: 10px; vertical-align: top; padding-top: 2px;"><table cellspacing='0' cellpadding='0' border='0' width="100%">
  <tr><td nowrap="nowrap" class="SB_Style_formtitle_disabled_small" style="vertical-align: top;"><xsl:value-of select="@CAPTION"/></td></tr>
  </table></td>
  <td height="22px" width="2" style="background-image: url({$baseURL}/skins/{$sb_skin}/images/sb_tab_bottom_unsel_unsel.gif);"><img src="{$baseURL}/skins/{$sb_skin}/images/empty.gif" width="2" height="1" border="0"/></td>
</xsl:template>


<xsl:template name="GUI-TABPANEL-CARD-DISABLED">
  <td height="29px" width="1%" style="background-image: url({$baseURL}/skins/{$sb_skin}/images/sb_bg_unsel.gif);padding-left: 10px; padding-right: 10px; vertical-allign: bottom;">
    <table cellspacing='0' cellpadding='0' border='0' width="100%">
      <tr>
        <td nowrap="nowrap" class="SB_Style_formtitle_disabled" style="allign: center; vertical-allign: midle;"><xsl:value-of select="@CAPTION"/></td>
      </tr>
    </table>
  </td>
    <xsl:choose>
    <xsl:when test="position()=last()">
      <td height="29px" width="7" style="background-image: url({$baseURL}/skins/{$sb_skin}/images/sb_unsel_unsel_last.gif);"><img src="{$baseURL}/skins/{$sb_skin}/images/empty.gif" width="7" height="1" border="0"/></td>
    </xsl:when>
    <xsl:otherwise>
      <td height="29px" width="6" style="background-image: url({$baseURL}/skins/{$sb_skin}/images/sb_unsel_unsel.gif);"><img src="{$baseURL}/skins/{$sb_skin}/images/empty.gif" width="6" height="1" border="0"/></td>
    </xsl:otherwise>
    </xsl:choose>
</xsl:template>

<xsl:template name="GUI-TABPANEL-CARD-SELECTED-BOTTOM" >
  <td height="22px" width="1%" style="background-image: url({$baseURL}/skins/{$sb_skin}/images/sb_tab_bottom_bg_sel.gif);padding-left: 10px; padding-right: 10px; vertical-align: top; padding-top: 2px;"><table cellspacing='0' cellpadding='0' border='0' width="100%">
  <tr><td nowrap="nowrap" class="SB_Style_formtitle_small" style="vertical-align: top;"><xsl:value-of select="@CAPTION"/></td></tr>
  </table></td>
  <td height="22px" width="1" style="background-image: url({$baseURL}/skins/{$sb_skin}/images/sb_tab_bottom_sel_unsel.gif);"><img src="{$baseURL}/skins/{$sb_skin}/images/empty.gif" width="1" height="1" border="0"/></td>
</xsl:template>

<xsl:template name="GUI-TABPANEL-CARD-SELECTED">
  <td height="29px" width="1%" style="background-image: url({$baseURL}/skins/{$sb_skin}/images/sb_bg_sel.gif);padding-left: 10px; padding-right: 10px; vertical-allign: bottom;"><table cellspacing='0' cellpadding='0' border='0' width="100%">
  <tr><td nowrap="nowrap" class="SB_Style_formtitle" style="allign: center; vertical-allign: midle;"><xsl:value-of select="@CAPTION"/></td></tr>
  </table></td>
    <xsl:choose>
    <xsl:when test="position()=last()">
      <td height="29px" width="7" style="background-image: url({$baseURL}/skins/{$sb_skin}/images/sb_sel_unsel_last.gif);"><img src="{$baseURL}/skins/{$sb_skin}/images/empty.gif" width="7" height="1" border="0"/></td>
    </xsl:when>
    <xsl:otherwise>
  <td height="29px" width="6" style="background-image: url({$baseURL}/skins/{$sb_skin}/images/sb_sel_unsel.gif);"><img src="{$baseURL}/skins/{$sb_skin}/images/empty.gif" width="6" height="1" border="0"/></td>
    </xsl:otherwise>
    </xsl:choose>
</xsl:template>

<xsl:template name="GUI-TABPANEL-CARD-NORMAL-BOTTOM">
  <td height="22px" width="1%" style="background-image: url({$baseURL}/skins/{$sb_skin}/images/sb_tab_bottom_bg_unsel.gif);padding-left: 10px; padding-right: 10px; padding-top: 2px; vertical-align: top;"><a href="#" style="cursor: hand; text-decoration: none;" onclick='{@ONCLICK}'><table cellspacing='0' cellpadding='0' border='0' width="100%">
  <tr><td nowrap="nowrap" class="SB_Style_formtitle_small" style="vertical-align: top;"><xsl:value-of select="@CAPTION"/></td></tr>
  </table></a></td>
  <td height="22px" width="2" style="background-image: url({$baseURL}/skins/{$sb_skin}/images/sb_tab_bottom_unsel_unsel.gif);"><img src="{$baseURL}/skins/{$sb_skin}/images/empty.gif" width="2" height="1" border="0"/></td>
</xsl:template>

<xsl:template name="GUI-TABPANEL-CARD-NORMAL">
  <td height="29px" width="1%" style="cursor: pointer; background-image: url({$baseURL}/skins/{$sb_skin}/images/sb_bg_unsel.gif);padding-left: 10px; padding-right: 10px; vertical-allign: bottom;"  onclick='{@ONCLICK}'>
  <table cellspacing='0' cellpadding='0' border='0' width="100%">
  <tr><td nowrap="nowrap" class="SB_Style_formtitle" style="allign: center; vertical-allign: midle;"><xsl:value-of select="@CAPTION"/></td></tr>
  </table>
  </td>
    <xsl:choose>
    <xsl:when test="position()=last()">
      <td height="29px" width="7" style="cursor: pointer; background-image: url({$baseURL}/skins/{$sb_skin}/images/sb_unsel_unsel_last.gif);" onclick='{@ONCLICK}'><img src="{$baseURL}/skins/{$sb_skin}/images/empty.gif" width="7" height="1" border="0"/></td>
    </xsl:when>
    <xsl:otherwise>
      <td height="29px" width="6" style="cursor: pointer; background-image: url({$baseURL}/skins/{$sb_skin}/images/sb_unsel_unsel.gif);" onclick='{@ONCLICK}'><img src="{$baseURL}/skins/{$sb_skin}/images/empty.gif" width="6" height="1" border="0"/></td>
    </xsl:otherwise>
    </xsl:choose>
</xsl:template>

<xsl:template match="GUI-TABPANEL-CONTENT">
<table width="100%" cellspacing="10" border="0" class="SB_Style_Tab_content">
<tr>
  <td><xsl:apply-templates/></td>
</tr>
</table>
</xsl:template>

<xsl:template match="GUI-TABPANEL-CAPTION">
<tr>
  <td style="vertical-allign: top"><table cellspacing='0' cellpadding='0' border='0'>
  <tr>
    <td><img src="{$baseURL}/skins/{$sb_skin}/images/arrow_right_1.gif"/></td>
    <td style="padding-left: 5px;"><b><font class="SB_Style_Tab_Title"><xsl:apply-templates/></font></b></td>
  </tr>
  <tr>
  <td colspan="2" height="5">
    <img src="{$baseURL}/skins/{$sb_skin}/images/empty.gif" width="1px" height="5" border="0"/>
  </td>
  </tr>
  </table></td>
</tr>
</xsl:template>

<xsl:template match="GUI-FORM-CONTENT">
<td><xsl:apply-templates/></td>
</xsl:template>


<xsl:template match="GUI-LIST-HEAD">
<tr>
<xsl:apply-templates select="GUI-LIST-HEAD-ITEM"/>
</tr>
</xsl:template>


<xsl:template match="GUI-LIST-HEAD-ITEM[@TYPE='checkbox']">
<td class="SB_Style_formfieldcolorfirst">
<xsl:apply-templates select="GUI-CONTROL-ATTRIBUTE"/>
<xsl:apply-templates select="GUI-CONTROL" mode='alone'/>
</td>
</xsl:template>


<xsl:template match="GUI-LIST-HEAD-ITEM">
<td nowrap="nowrap" class="SB_Style_formfieldcolorfirst">
<xsl:apply-templates select="GUI-CONTROL-ATTRIBUTE"/>
<xsl:choose>
<xsl:when test="@SORT-ACTION">     
<xsl:call-template name="GUI-LIST-HEAD-SORT-ITEM"/>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="GUI-LIST-HEAD-ITEM-CAPTION"/>
</xsl:otherwise>
</xsl:choose>
</td>
</xsl:template>


<xsl:template name="GUI-LIST-HEAD-SORT-ITEM">
<a class="SB_Style_formtitle" title="{@SORTED-TEXT}">
<xsl:attribute name="href"><xsl:value-of select="@SORT-ACTION"/></xsl:attribute>
<xsl:attribute name="onclick"><xsl:value-of select="@SORT-ONCLICK"/></xsl:attribute>
<xsl:call-template name="GUI-LIST-HEAD-ITEM-CAPTION"/>
<xsl:call-template name="GUI-LIST-HEAD-ITEM-SORT-ICON"/>
</a>
</xsl:template>


<xsl:template name="GUI-LIST-HEAD-ITEM-CAPTION">
<b><xsl:value-of select="GUI-CONTROL-ATTRIBUTE[@NAME='CAPTION']"/></b>
</xsl:template>


<xsl:template name="GUI-LIST-HEAD-ITEM-SORT-ICON">
<xsl:if test="@SORTBY='true'">
<img align="texttop" vspace="3" hspace="5" width="8" height="8" border="0" alt="{@SORTED-TEXT}" title="{@SORTED-TEXT}">
<xsl:choose>
<xsl:when test="@DIR='asc'">
<xsl:attribute name="src"><xsl:value-of select="$baseURL"/>/skins/<xsl:value-of select="$sb_skin"/>/images/dlg_sort_up.gif</xsl:attribute>
</xsl:when>
<xsl:otherwise>
<xsl:attribute name="src"><xsl:value-of select="$baseURL"/>/skins/<xsl:value-of select="$sb_skin"/>/images/dlg_sort_down.gif</xsl:attribute>
</xsl:otherwise>
</xsl:choose>
</img>
</xsl:if>
</xsl:template>


<xsl:template name="GUI-LIST-ENTITY-ACTION-ITEM">
<a class="SB_Style_formtitle">
    <xsl:attribute name="href"><xsl:value-of select="GUI-CONTROL-ATTRIBUTE[@NAME='ACTION']"/></xsl:attribute>
    <xsl:call-template name="GUI-LIST-ENTITY-ITEM-CAPTION"/>
</a>
</xsl:template>


<xsl:template name="GUI-LIST-ENTITY-ITEM-CAPTION">
<xsl:value-of select="GUI-CONTROL-ATTRIBUTE[@NAME='CAPTION']"/>
</xsl:template>

<xsl:template match="GUI-LIST-ENTITY-ITEM">
<td>
<xsl:apply-templates select="GUI-CONTROL-ATTRIBUTE"/>
<xsl:choose>
<xsl:when test="GUI-CONTROL-ATTRIBUTE[@NAME='ACTION'] and GUI-CONTROL-ATTRIBUTE[@NAME='ACTION']!=''">     
<xsl:call-template name="GUI-LIST-ENTITY-ACTION-ITEM"/>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="GUI-LIST-ENTITY-ITEM-CAPTION"/>
</xsl:otherwise>
</xsl:choose>
</td>
</xsl:template>

<xsl:template match="GUI-LIST-ENTITY-ITEM[@TYPE='icon']">
<td>
<a href="#">
<xsl:apply-templates select="GUI-CONTROL-ATTRIBUTE"/>
<img border="0"><xsl:attribute name="src"><xsl:value-of select="$baseURL"/>/images/<xsl:value-of select="GUI-CONTROL-ATTRIBUTE[@NAME='IMGSRC']"/></xsl:attribute></img>
</a>
</td>
</xsl:template>

<xsl:template match="GUI-LIST-ENTITY-ITEM[@TYPE='image']">
<td>
<xsl:apply-templates select="GUI-CONTROL-ATTRIBUTE"/>
<img border="0">
    <xsl:apply-templates select="GUI-CONTROL-ATTRIBUTE[@NAME='WIDTH']"/>
    <xsl:apply-templates select="GUI-CONTROL-ATTRIBUTE[@NAME='HEIGHT']"/>
    <xsl:attribute name="src"><xsl:value-of select="GUI-CONTROL-ATTRIBUTE[@NAME='IMGSRC']"/></xsl:attribute>
</img>
</td>
</xsl:template>

<xsl:template match="GUI-LIST-ENTITY-ITEM[@TYPE='checkbox']">
<td>
<xsl:apply-templates select="GUI-CONTROL-ATTRIBUTE"/>
<xsl:apply-templates select="GUI-CONTROL" mode='alone'/>
</td>
</xsl:template>

<xsl:template match="GUI-LIST-ENTITY-ITEM[@TYPE='textinput']">
<td>
<xsl:apply-templates select="GUI-CONTROL-ATTRIBUTE"/>
<!--<xsl:apply-templates select="GUI-CONTROL[@TYPE='text']" mode='alone'/>text input-->
<xsl:apply-templates select="GUI-CONTROL" mode='alone'/>
</td>
</xsl:template>

<xsl:template match="GUI-LIST-ENTITY-ITEM[@TYPE='select']">
<td>
<xsl:apply-templates select="GUI-CONTROL-ATTRIBUTE"/>
<xsl:apply-templates select="GUI-CONTROL[@MODE='SELECT']" mode='alone'/>
</td>
</xsl:template>

<xsl:template match="GUI-LIST-ENTITY">
    <tr>
        <xsl:call-template name="ZEBRA-COLOR-INVERSE"/>
        <xsl:apply-templates select="GUI-LIST-ENTITY-ITEM"/>
    </tr>
</xsl:template>


<xsl:template match="GUI-LIST-TOP-PANEL">
<tr><td>
     <table width="100%" border="0" cellspacing="0" cellpadding="0"><tr>
       <td align="left">
         <xsl:apply-templates select="GUI-SIMPLE-INPUT|GUI-MULTYINPUT"/>
       </td>
       <td width='100%' align="right">
          <xsl:if test="GUI-BUTTONS-ROW">
            <table border="0" cellspacing="0" cellpadding="0">
              <xsl:apply-templates select="GUI-BUTTONS-ROW"/>
              </table>
        </xsl:if>
     </td>
   </tr></table>
</td></tr>
<xsl:call-template name="SHIFT"/>
<xsl:apply-templates select="//CONTROL-DATA/SEARCH-MSG"/>
</xsl:template>

<xsl:template match="GUI-LIST-BOTTOM-PANEL">
<xsl:apply-templates select="//CONTROL-DATA/REMARK"/>
<xsl:call-template name="SHIFT"/>
<tr>
  <td>
    <table width="100%" border="0" cellspacing="0" cellpadding="0"><tr>
          <td align="left">
      <table border="0" cellspacing="0" cellpadding="0">
            <xsl:apply-templates select="GUI-BUTTONS-ROW"/>
          </table>
          </td>
          
      <td width="100%" align='center'  nowrap="nowrap" height='20' valign='middle'>
      <xsl:apply-templates select="STEPLENTA"/>
      </td>
          
          <td align="right">
          <xsl:apply-templates select="PAGELENTA"/>
          </td>
    </tr></table>
  </td>
</tr>
</xsl:template>

<xsl:template match="LIST-LOCALE">
	<script type="text/javascript" language="javascript">
		<xsl:text>var </xsl:text>
		<xsl:value-of select="@NAME"/>
		<xsl:text>="</xsl:text>
		<xsl:value-of select="@VALUE" disable-output-escaping="yes" />
		<xsl:text>";</xsl:text>
	</script>
</xsl:template>

<xsl:template match="REMARK">
<xsl:call-template name="SHIFT"/>
<tr><td><xsl:value-of select="."/></td></tr>
</xsl:template>

<xsl:template match="SEARCH-MSG">
<tr><td><xsl:value-of select="@TEXT"/></td></tr>
<xsl:call-template name="SHIFT"/>
</xsl:template>


<xsl:template match="GUI-LIST">

<xsl:if test="WARNING">
<table align="center" class="SB_Style_WARNING_BOX" cellpadding="0" cellspacing="0" width="100%">
<tr>
<td width="25%">&#160;</td>
<td width="45%" align="center">
<table align="center" border="0" cellpadding="7" cellspacing="0" width="100%">
<tr>
<td align="left" width="1%">
<img src="{$baseURL}/skins/{$sb_skin}/images/icon_stop.gif"/>
</td>
<td align="left" width="99%">
<xsl:apply-templates select="WARNING" mode="form"/>
</td>
</tr>
</table>
</td>
<td width="30%">&#160;</td>
</tr>
</table>
<div style="width:0px; height:10px;"><spacer type="block" width="0" height="10"/></div>

</xsl:if>


<form method="post"> 
  <xsl:apply-templates select="GUI-LIST-ATTRIBUTE"/>
  <xsl:call-template name="AUTOCOMPLETE"/>          
  <xsl:apply-templates select="CONTROL-DATA/LIST-LOCALE"/>
  <xsl:apply-templates select="GUI-CONTROL[@MODE='HIDDEN']"/>
<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <xsl:apply-templates select="GUI-LIST-TOP-PANEL"/>
<tr><td width="100%">
<div align="center" style="align: center; width: 100%; height: 100%; overflow: auto" id="resizable_div">
<table class="SB_ENTITYLIST" width="100%" border="0" cellspacing="0" cellpadding="0">
<xsl:apply-templates select="GUI-LIST-HEAD"/>
<xsl:apply-templates select="GUI-LIST-ENTITY"/>
<xsl:call-template name="SHIFT"/>
</table>
</div>
</td></tr>

<tr>
  <td width="100%" height="1" class="SB_ENTITYLIST">
    <img src="{$baseURL}/skins/{$sb_skin}/images/empty.gif" width="1" height="1" border="0"/>
  </td>
</tr>


  <xsl:apply-templates select="GUI-LIST-BOTTOM-PANEL"/>
</table>
</form>

<xsl:if test="count(GUI-LIST-ENTITY)>=10">
<script type="text/javascript" language="Javascript">   
<xsl:comment>
        function ResizeContentDiv()
        {    
           var iframedoc = document.getElementById('resizable_div');
        
           if(document.all)
           {
               var mheight = parseInt(document.body.clientHeight);
           }
           else
           {
               var mheight = parseInt(window.innerHeight);
           }
           
           if (iframedoc.scrollHeight > (mheight-320))
           {
               iframedoc.style.height=(mheight-322);
           }
           else
           {
               iframedoc.style.height = iframedoc.scrollHeight;
           }
           
        }
        
        setTimeout(ResizeContentDiv, 100);
//</xsl:comment>
</script>
</xsl:if>

</xsl:template>

<xsl:template match="GUI-LIST[@TYPE='without_form']" name="GUI-LIST-WITHOUT-FORM">
    <xsl:apply-templates select="CONTROL-DATA/LIST-LOCALE"/>
    <table width="100%" border="0" cellspacing="0" cellpadding="0">
        <xsl:apply-templates select="GUI-LIST-TOP-PANEL"/>
        <tr><td>
            <table class="SB_ENTITYLIST" width="100%" border="0" cellspacing="0" cellpadding="0">
            <xsl:apply-templates select="GUI-LIST-HEAD"/>
            <xsl:apply-templates select="GUI-LIST-ENTITY"/>
            <xsl:if test="not(GUI-LIST-ATTRIBUTE[@NAME='NOSHIFT'])">
            <xsl:call-template name="SHIFT"/>
            </xsl:if>
            </table>
        </td></tr>
        <xsl:apply-templates select="GUI-LIST-BOTTOM-PANEL"/>
    </table>
</xsl:template>


<xsl:template match="GUI-LIST[@TYPE='without_form_with_descr']">
	<table cellpadding="0" cellspacing="0" width="100%">
		<tr>
			<td>
				<xsl:call-template name="GUI-LIST-WITHOUT-FORM" />
			</td>
			<xsl:apply-templates select="CONTROL-SHORT-HELP" mode="TEXTFIELD"/>
		</tr>
	</table>
</xsl:template>

<xsl:template match="JS-ACTION">
    <script language="JavaScript">
	<xsl:if test="@SRC"><xsl:attribute name="SRC"><xsl:value-of select="$baseURL"/>/<xsl:value-of select="@SRC"/></xsl:attribute></xsl:if>        
        <xsl:value-of select="."/>
    </script>
</xsl:template>

<xsl:template match="GUI-CONTROL[@TYPE='DIV']">
    <div>
        <xsl:apply-templates select="GUI-CONTROL-ATTRIBUTE"/>
        <table cellpadding="0" cellspacing="0" width="99%">
            <tr>
                <td>
                    <xsl:apply-templates select="GUI-CONTROL-CONTENT"/>
                </td>
            </tr>
        </table>
    </div>
</xsl:template>

<xsl:template match="GUI-CONTROL[@TYPE='DIV']" mode='intable'>
    <div>
        <xsl:apply-templates select="GUI-CONTROL-ATTRIBUTE"/>
    <table width="100%" border="0" cellspacing="0" celpadding="0" name="multyinput_table">
      <xsl:apply-templates select="GUI-CONTROL[@MODE='HIDDEN']"/>
      <xsl:apply-templates select="GUI-CONTROL[@MODE!='BUTTON' and @MODE!='HIDDEN']|GUI-MULTYINPUT"/>
    </table>
    </div>
</xsl:template> 


<xsl:template match="REQUIRED-FIELD-TITLE">
  <td width="100%" class="SB_Style_formtitle">
    <span class="SB_Style_AlertText">*&#160;</span><xsl:value-of select="."/>&#160;
  </td>
</xsl:template> 


</xsl:stylesheet>